<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns:tif22="http://www.tourinfrance.net/tourinfrance22/"
    xmlns:thes="tif.tools.ThesaurusReader" extension-element-prefixes="thes">
    <xsl:output encoding="utf-8" indent="yes" version="1.0" method="xml"/>
    <!-- Module Classements ========================================================-->
    <!--
    <tif:Classements id="TODO">
        <tif:DetailClassement id="TODO" type="TODO" libelle="TODO" xml:lang="FR" >
            <tif:Classement type="TODO" xml:lang="FR" >Classement</tif:Classement>
            <tif:DateClassement>2004-01-01</tif:DateClassement>
            <tif:NumeroClassement>1111</tif:NumeroClassement>
            <tif:Theme xml:lang="FR">Theme</tif:Theme>
            <tif:ObservationDetailClassmt xml:lang="FR">ObservationDetailClassmt</tif:ObservationDetailClassmt>
        </tif:DetailClassement>
        
        <tif:DetailClassement id="TODO" type="TODO" libelle="TODO" xml:lang="FR" >
            <tif:Classement type="TODO" xml:lang="FR" >Classement</tif:Classement>
            <tif:DateClassement>2004-01-01</tif:DateClassement>
            <tif:NumeroClassement>1111</tif:NumeroClassement>
            <tif:Theme xml:lang="FR">Theme</tif:Theme>
            <tif:ObservationDetailClassmt xml:lang="FR">ObservationDetailClassmt</tif:ObservationDetailClassmt>
        </tif:DetailClassement>
    </tif:Classements>
    -->
    <xsl:template name="Mod_Classements">
        <xsl:variable name="v_objettour">
            <xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:ID_OBJETTOUR"/>
        </xsl:variable>
        <tif:Classements>
            <xsl:choose>
                <xsl:when test="$v_objettour='HOT' ">
                    <xsl:call-template name="Mod_Classements_HOT"/>
                </xsl:when>
                <xsl:when test="$v_objettour='HPA' ">
                    <xsl:call-template name="Mod_Classements_HPA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='HLO' ">
                    <xsl:call-template name="Mod_Classements_HLO"/>
                </xsl:when>
                <xsl:when test="$v_objettour='RES' ">
                    <xsl:call-template name="Mod_Classements_RES"/>
                </xsl:when>
                <xsl:when test="$v_objettour='FMA' ">
                    <xsl:call-template name="Mod_Classements_FMA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='PNA' ">
                    <xsl:call-template name="Mod_Classements_PNA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='PCU' ">
                    <xsl:call-template name="Mod_Classements_PCU"/>
                </xsl:when>
                <xsl:when test="$v_objettour='DEG' ">
                    <xsl:call-template name="Mod_Classements_DEG"/>
                </xsl:when>
                <xsl:when test="$v_objettour='LOI' ">
                    <xsl:call-template name="Mod_Classements_LOI"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ASC' ">
                    <xsl:call-template name="Mod_Classements_ASC"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ITI' ">
                    <xsl:call-template name="Mod_Classements_ITI"/>
                </xsl:when>
                <xsl:when test="$v_objettour='VIL' ">
                    <xsl:call-template name="Mod_Classements_VIL"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ORG' ">
                    <xsl:call-template name="Mod_Classements_ORG"/>
                </xsl:when>
                <xsl:when test="$v_objettour='MUL' ">
                    <xsl:call-template name="Mod_Classements_MUL"/>
                </xsl:when>
            </xsl:choose>
            <!-- -->
        </tif:Classements>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : HOT -->
    <!-- ============= -->
    <xsl:template name="Mod_Classements_HOT">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:HOT/tif22:Hot.ID_CAT_HOT) != '' ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClassement>
                <xsl:attribute name="type">06.04.01</xsl:attribute> <!-- Préfectoral -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('06.04.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- -->
                <tif:Classement>
                    <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:HOT/tif22:Hot.ID_CAT_HOT)"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Cat_hot',$code22)"/></xsl:variable>
                    <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:Classement>
            </tif:DetailClassement>
        </xsl:if>
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:HOT/tif22:Hot1_chaine.ID_CHAINE_HOT) &gt;0 ">
            <xsl:comment>==</xsl:comment>
            <xsl:for-each select="/tif22:OI22/tif22:HOT/tif22:Hot1_chaine.ID_CHAINE_HOT">                
                <tif:DetailClassement>
                    <xsl:variable name="code22" select="normalize-space(text())"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Chaine_hot',$code22)"/></xsl:variable>
                    <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                </tif:DetailClassement>
            </xsl:for-each>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:HOT/tif22:Hot.LABEL) != '' ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClassement>
                    <xsl:attribute name="type"><xsl:value-of select="thes:getCode30F(normalize-space(/tif22:OI22/tif22:HOT/tif22:Hot.LABEL))"/></xsl:attribute>
                    <xsl:attribute name="libelle"><xsl:value-of select="normalize-space(/tif22:OI22/tif22:HOT/tif22:Hot.LABEL)"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
            </tif:DetailClassement>
        </xsl:if>
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:HOT/tif22:Hot.ID_TOURHANDI) &gt; 0 ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClassement>
                <xsl:attribute name="type">06.05</xsl:attribute> <!-- Tourisme et handicap -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('06.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:HOT/tif22:Hot.ID_TOURHANDI">
                    <tif:Classement>
                        <xsl:variable name="code22" select="normalize-space(text())"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('TourHandi',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30($code30)"/>
                    </tif:Classement>
                </xsl:for-each>
            </tif:DetailClassement>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : HPA -->
    <!-- ============= -->
    <xsl:template name="Mod_Classements_HPA">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.ID_CAT_CAM) != '' ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClassement>
                <xsl:attribute name="type">06.04.01</xsl:attribute> <!-- Préfectoral -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('06.04.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Classement>
                    <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.ID_CAT_CAM)"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Cat_hpa',$code22)"/></xsl:variable>
                    <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:Classement>
            </tif:DetailClassement>
        </xsl:if>
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:HPA/tif22:Hpa1_chaine.ID_CHAINE_CAM) &gt; 0 ">
            <xsl:comment>==</xsl:comment>
            <xsl:for-each select="/tif22:OI22/tif22:HPA/tif22:Hpa1_chaine.ID_CHAINE_CAM">
                <tif:DetailClassement>
                    <xsl:variable name="code22" select="normalize-space(text())"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Chaine_hpa',$code22)"/></xsl:variable>
                    <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                </tif:DetailClassement>
            </xsl:for-each>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.LABEL) != '' ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClassement>
                    <xsl:attribute name="type"><xsl:value-of select="thes:getCode30F(normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.LABEL))"/></xsl:attribute>
                    <xsl:attribute name="libelle"><xsl:value-of select="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.LABEL)"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
            </tif:DetailClassement>
        </xsl:if>
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:HPA/tif22:Hpa.ID_TOURHANDI)&gt;0 ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClassement>
                <xsl:attribute name="type">06.05</xsl:attribute> <!-- Tourisme et handicap -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('06.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:HPA/tif22:Hpa.ID_TOURHANDI">
                    <tif:Classement>
                        <xsl:variable name="code22" select="normalize-space(text())"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('TourHandi',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30($code30)"/>
                    </tif:Classement>
                </xsl:for-each>
            </tif:DetailClassement>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : HLO -->
    <!-- ============= -->
    <xsl:template name="Mod_Classements_HLO">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.ID_CAT_HLO) != '' ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClassement>
                <xsl:attribute name="type">06.04.01</xsl:attribute> <!-- Préfectoral -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('06.04.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Classement>
                    <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.ID_CAT_HLO)"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Cat_hlo',$code22)"/></xsl:variable>
                    <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:Classement>
            </tif:DetailClassement>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo1_label.ID_LABEL_HBL)!='' ">
            <xsl:comment>==</xsl:comment>
            <!-- Label seul -->
            <xsl:if test="count(/tif22:OI22/tif22:HLO/tif22:Hlo1_clas.ID_CLASS_HBL) = 0 and count(/tif22:OI22/tif22:HLO/tif22:Hlo1_them.ID_THEME_HBL) = 0">
                <tif:DetailClassement>
                    <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo1_label.ID_LABEL_HBL)"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Label_hlo',$code22)"/></xsl:variable>
                    <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                </tif:DetailClassement>
            </xsl:if>
            <!-- Label et classements -->
            <xsl:if test="count(/tif22:OI22/tif22:HLO/tif22:Hlo1_clas.ID_CLASS_HBL) &gt;0">
                <tif:DetailClassement>
                    <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo1_label.ID_LABEL_HBL)"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Label_hlo',$code22)"/></xsl:variable>
                    <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:for-each select="/tif22:OI22/tif22:HLO/tif22:Hlo1_clas.ID_CLASS_HBL">
                        <tif:Classement>
                            <xsl:variable name="code22" select="normalize-space(text())"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Class_hlo',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </tif:Classement>
                    </xsl:for-each>                
                </tif:DetailClassement>
            </xsl:if>
            <!-- Label et thèmes -->
            <xsl:if test="count(/tif22:OI22/tif22:HLO/tif22:Hlo1_them.ID_THEME_HBL) &gt;0">
                <tif:DetailClassement>
                    <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo1_label.ID_LABEL_HBL)"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Label_hlo',$code22)"/></xsl:variable>
                    <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:for-each select="/tif22:OI22/tif22:HLO/tif22:Hlo1_them.ID_THEME_HBL">
                        <tif:Classement>
                            <xsl:variable name="code22" select="normalize-space(text())"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Theme_hlo',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </tif:Classement>
                    </xsl:for-each>                
                </tif:DetailClassement>
            </xsl:if>
        </xsl:if>
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:HLO/tif22:Hlo.ID_TOURHANDI) &gt; 0 ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClassement>
                <xsl:attribute name="type">06.05</xsl:attribute> <!-- Tourisme et handicap -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('06.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:HLO/tif22:Hlo.ID_TOURHANDI">
                    <tif:Classement>
                        <xsl:variable name="code22" select="normalize-space(text())"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('TourHandi',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30($code30)"/>
                    </tif:Classement>
                </xsl:for-each>
            </tif:DetailClassement>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : RES -->
    <!-- ============= -->
    <xsl:template name="Mod_Classements_RES">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:RES/tif22:Res.ID_CLAS_RES) != '' ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClassement>
                <xsl:attribute name="type">06.04.01</xsl:attribute> <!-- Préfectoral -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('06.04.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Classement>
                    <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:RES/tif22:Res.ID_CLAS_RES)"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Clas_res',$code22)"/></xsl:variable>
                    <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:Classement>
            </tif:DetailClassement>
        </xsl:if>
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:RES/tif22:Res1_chain.ID_CHAINE_RES) &gt; 0 ">
            <xsl:comment>==</xsl:comment>
            <xsl:for-each select="/tif22:OI22/tif22:RES/tif22:Res1_chain.ID_CHAINE_RES">
                <tif:DetailClassement>
                    <xsl:variable name="code22" select="normalize-space(text())"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Chaine_res',$code22)"/></xsl:variable>
                    <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                </tif:DetailClassement>
            </xsl:for-each>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:RES/tif22:Res.LABEL) != '' ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClassement>
                    <xsl:attribute name="type"><xsl:value-of select="thes:getCode30F(normalize-space(/tif22:OI22/tif22:RES/tif22:Res.LABEL))"/></xsl:attribute>
                    <xsl:attribute name="libelle"><xsl:value-of select="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.LABEL)"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
            </tif:DetailClassement>
        </xsl:if>
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:RES/tif22:Res.ID_TOURHANDI) &gt; 0 ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClassement>
                <xsl:attribute name="type">06.05</xsl:attribute> <!-- Tourisme et handicap -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('06.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:RES/tif22:Res.ID_TOURHANDI">
                    <tif:Classement>
                        <xsl:variable name="code22" select="normalize-space(text())"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('TourHandi',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30($code30)"/>
                    </tif:Classement>
                </xsl:for-each>
            </tif:DetailClassement>
        </xsl:if>
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:RES/tif22:Res1_gui.ID_GUID_RES) &gt;0">
            <xsl:comment>==</xsl:comment>
            <xsl:for-each select="/tif22:OI22/tif22:RES/tif22:Res1_gui.ID_GUID_RES">
                <tif:DetailClassement>
                    <xsl:variable name="code22" select="normalize-space(text())"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Guid_res',$code22)"/></xsl:variable>
                    <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                </tif:DetailClassement>
            </xsl:for-each>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : FMA -->
    <!-- ============= -->
    <xsl:template name="Mod_Classements_FMA">
        <xsl:if test="count(/tif22:OI22/tif22:FMA/tif22:Fma.ID_TOURHANDI) &gt; 0 ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClassement>
                <xsl:attribute name="type">06.05</xsl:attribute> <!-- Tourisme et handicap -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('06.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:FMA/tif22:Fma.ID_TOURHANDI">
                    <tif:Classement>
                        <xsl:variable name="code22" select="normalize-space(text())"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('TourHandi',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                    </tif:Classement>
                </xsl:for-each>
            </tif:DetailClassement>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : PNA -->
    <!-- ============= -->
    <xsl:template name="Mod_Classements_PNA">
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:PNA/tif22:Pna1_cat.ID_CAT_PNA) &gt;0 ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClassement>
                <xsl:attribute name="type">06.04.01</xsl:attribute> <!-- Préfectoral -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('06.04.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:PNA/tif22:Pna1_cat.ID_CAT_PNA">
                    <tif:Classement>
                        <xsl:variable name="code22" select="normalize-space(text())"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Cat_pna',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30($code30)"/>
                    </tif:Classement>
                </xsl:for-each>
            </tif:DetailClassement>
        </xsl:if>
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:PNA/tif22:Pna.ID_TOURHANDI) &gt; 0 ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClassement>
                <xsl:attribute name="type">06.05</xsl:attribute> <!-- Tourisme et handicap -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('06.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:PNA/tif22:Pna.ID_TOURHANDI">
                    <tif:Classement>
                        <xsl:variable name="code22" select="normalize-space(text())"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('TourHandi',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30($code30)"/>
                    </tif:Classement>
                </xsl:for-each>
            </tif:DetailClassement>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : PCU -->
    <!-- ============= -->
    <xsl:template name="Mod_Classements_PCU">
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:PCU/tif22:Pcu.ID_TOURHANDI) &gt; 0 ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClassement>
                <xsl:attribute name="type">06.05</xsl:attribute> <!-- Tourisme et handicap -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('06.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:PCU/tif22:Pcu.ID_TOURHANDI">
                    <tif:Classement>
                        <xsl:variable name="code22" select="normalize-space(text())"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('TourHandi',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                    </tif:Classement>
                </xsl:for-each>
            </tif:DetailClassement>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : DEG -->
    <!-- ============= -->
    <xsl:template name="Mod_Classements_DEG">
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.LABEL) != '' ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClassement>
                    <xsl:attribute name="type"><xsl:value-of select="thes:getCode30F(normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.LABEL))"/></xsl:attribute>
                    <xsl:attribute name="libelle"><xsl:value-of select="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.LABEL)"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
            </tif:DetailClassement>
        </xsl:if>
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:DEG/tif22:Deg.ID_TOURHANDI) &gt; 0 ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClassement>
                <xsl:attribute name="type">06.05</xsl:attribute> <!-- Tourisme et handicap -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('06.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:DEG/tif22:Deg.ID_TOURHANDI">
                    <tif:Classement>
                        <xsl:variable name="code22" select="normalize-space(text())"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('TourHandi',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                    </tif:Classement>
                </xsl:for-each>
            </tif:DetailClassement>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : LOI -->
    <!-- ============= -->
    <xsl:template name="Mod_Classements_LOI">
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:LOI/tif22:Loi.ID_TOURHANDI) &gt; 0 ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClassement>
                <xsl:attribute name="type">06.05</xsl:attribute> <!-- Tourisme et handicap -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('06.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:LOI/tif22:Loi.ID_TOURHANDI">
                    <tif:Classement>
                        <xsl:variable name="code22" select="normalize-space(text())"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('TourHandi',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                    </tif:Classement>
                </xsl:for-each>
            </tif:DetailClassement>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : ASC -->
    <!-- ============= -->
    <xsl:template name="Mod_Classements_ASC">
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:LOI/tif22:Asc.ID_TOURHANDI) &gt; 0 ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClassement>
                <xsl:attribute name="type">06.05</xsl:attribute> <!-- Tourisme et handicap -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('06.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:LOI/tif22:Asc.ID_TOURHANDI">
                    <tif:Classement>
                        <xsl:variable name="code22" select="normalize-space(text())"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('TourHandi',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                    </tif:Classement>
                </xsl:for-each>
            </tif:DetailClassement>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : ITI -->
    <!-- ============= -->
    <xsl:template name="Mod_Classements_ITI">
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:ITI/tif22:Iti.ID_TOURHANDI) &gt; 0 ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClassement>
                <xsl:attribute name="type">06.05</xsl:attribute> <!-- Tourisme et handicap -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('06.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:ITI/tif22:Iti.ID_TOURHANDI">
                    <tif:Classement>
                        <xsl:variable name="code22" select="normalize-space(text())"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('TourHandi',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30($code30)"/>
                    </tif:Classement>
                </xsl:for-each>
            </tif:DetailClassement>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : VIL -->
    <!-- ============= -->
    <xsl:template name="Mod_Classements_VIL">
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil_chaine.ID_CHAIN_VIL) != '' ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClassement>
                <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil_chaine.ID_CHAIN_VIL)"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Chaine_vil',$code22)"/></xsl:variable>
                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
            </tif:DetailClassement>
        </xsl:if>
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:VIL/tif22:Vil1_agrement.ID_AGREMENT)&gt;0 ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClassement>
                <xsl:attribute name="type">06.01</xsl:attribute> <!-- Agréments -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('06.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:VIL/tif22:Vil1_agrement.ID_AGREMENT">
                    <tif:Classement>
                        <xsl:variable name="code22" select="normalize-space(text())"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Agrement_vil',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30($code30)"/>
                    </tif:Classement>
                </xsl:for-each>
            </tif:DetailClassement>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil1_clas.ID_CLASS_VIL) != '' ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClassement>
                <xsl:attribute name="type">06.04.01</xsl:attribute> <!-- Préfectoral -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('06.04.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Classement>
                        <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil1_clas.ID_CLASS_VIL)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Class_vil',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:Classement>
            </tif:DetailClassement>
        </xsl:if>
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:VIL/tif22:Vil1_label) &gt; 0  ">
            <xsl:for-each select="/tif22:OI22/tif22:VIL/tif22:Vil1_label">
                <!-- Label seul -->
                <xsl:if test="normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil1_claslbl1.ID_CLASSLBL1_VIL) != '' 
                              and normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil1_claslbl2.ID_CLASSLBL2_VIL) != '' 
                              and normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil1_claslbl3.ID_CLASSLBL3_VIL) != '' ">
                    <tif:DetailClassement>
                        <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil1_label.ID_LABEL_VIL)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Label_vil',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    </tif:DetailClassement>
                </xsl:if>
                <!-- Label et classements -->
                <!-- -->
                <xsl:if test="normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil1_claslbl1.ID_CLASSLBL1_VIL) != '' ">
                    <xsl:comment>==</xsl:comment>
                    <tif:DetailClassement>
                        <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil1_label.ID_LABEL_VIL)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Label_vil',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <tif:Classement>
                            <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil1_claslbl1.ID_CLASSLBL1_VIL)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('ClassLbl1_vil',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </tif:Classement>
                    </tif:DetailClassement>
                </xsl:if>
                <!-- -->
                <xsl:if test="normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil1_claslbl2.ID_CLASSLBL2_VIL) != '' ">
                    <xsl:comment>==</xsl:comment>
                    <tif:DetailClassement>
                        <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil1_label.ID_LABEL_VIL)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Label_vil',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <tif:Classement>
                            <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil1_claslbl2.ID_CLASSLBL2_VIL)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('ClassLbl2_vil',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </tif:Classement>
                    </tif:DetailClassement>
                </xsl:if>
                <!-- -->
                <xsl:if test="normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil1_claslbl3.ID_CLASSLBL3_VIL) != '' ">
                    <xsl:comment>==</xsl:comment>
                    <tif:DetailClassement>
                        <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil1_label.ID_LABEL_VIL)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Label_vil',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <tif:Classement>
                            <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil1_claslbl3.ID_CLASSLBL3_VIL)"/>
                            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('ClassLbl3_vil',$code22)"/></xsl:variable>
                            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                            <xsl:attribute name="xml:lang">fr</xsl:attribute>
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </tif:Classement>
                    </tif:DetailClassement>
                </xsl:if>
            </xsl:for-each>
        </xsl:if>
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:VIL/tif22:Vil.ID_TOUHANDI) &gt; 0 ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClassement>
                <xsl:attribute name="type">06.05</xsl:attribute> <!-- Tourisme et handicap -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('06.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:VIL/tif22:Vil.ID_TOUHANDI">
                    <tif:Classement>
                        <xsl:variable name="code22" select="normalize-space(text())"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('TourHandi',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30($code30)"/>
                    </tif:Classement>
                </xsl:for-each>
            </tif:DetailClassement>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : ORG -->
    <!-- ============= -->
    <xsl:template name="Mod_Classements_ORG">
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ORG/tif22:Org.ID_CAT_ORG) != '' ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClassement>
                <xsl:attribute name="type">06.04.01.01</xsl:attribute> <!-- OTSI -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('06.04.01.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Classement>
                    <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:ORG/tif22:Org.ID_CAT_ORG)"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Cat_otsi',$code22)"/></xsl:variable>
                    <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:Classement>
            </tif:DetailClassement>
        </xsl:if>
        <!-- -->
        <xsl:if test="count(/tif22:OI22/tif22:ORG/tif22:Org.ID_TOURHANDI) &gt; 0 ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClassement>
                <xsl:attribute name="type">06.05</xsl:attribute> <!-- Tourisme et handicap -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('06.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:ORG/tif22:Org.ID_TOURHANDI">
                    <tif:Classement>
                        <xsl:variable name="code22" select="normalize-space(text())"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('TourHandi',$code22)"/></xsl:variable>
                        <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30($code30)"/>
                    </tif:Classement>
                </xsl:for-each>
            </tif:DetailClassement>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ORG/tif22:Org.LICEN) != '' ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClassement>
                <xsl:attribute name="type">06.01</xsl:attribute> <!-- Agréments -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('06.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Classement>
                    <tif:NumeroClassement><xsl:value-of select="/tif22:OI22/tif22:ORG/tif22:Org.LICEN"/></tif:NumeroClassement>
                </tif:Classement>
            </tif:DetailClassement>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : MUL -->
    <!-- ============= -->
    <xsl:template name="Mod_Classements_MUL">
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:MUL/tif22:Mul.ID_CAT_MUL) != '' ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClassement>
                <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:MUL/tif22:Mul.ID_CAT_MUL)"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Cat_mul',$code22)"/></xsl:variable>
                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
            </tif:DetailClassement>
        </xsl:if>
    </xsl:template>
</xsl:stylesheet>
