<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns:tif22="http://www.tourinfrance.net/tourinfrance22/"
    xmlns:thes="tif.tools.ThesaurusReader" extension-element-prefixes="thes">
    <xsl:output encoding="utf-8" indent="yes" version="1.0" method="xml"/>
    <!-- Module Clienteles ========================================================-->
    <!--
    <tif:Clienteles id="TODO">
        <tif:DetailClienteles id="TODO" type="TODO" libelle="TODO" xml:lang="FR" >
            <tif:DetailClient id="TODO" idref="" type="TODO" libelle="TODO" xml:lang="FR" >
                <tif:Nom xml:lang="FR">Nom</tif:Nom>
                <tif:GroupeRef>O</tif:GroupeRef>
                <tif:NbPersMin>1</tif:NbPersMin>
                <tif:NbPersMax>10</tif:NbPersMax>
                <tif:AgeMin>1</tif:AgeMin>
                <tif:AgeMax>99</tif:AgeMax>
            </tif:DetailClient>
            <tif:DetailClient id="TODO" idref="" type="TODO" libelle="TODO" xml:lang="FR" >
                <tif:Nom xml:lang="FR">Nom</tif:Nom>
                <tif:GroupeRef>O</tif:GroupeRef>
                <tif:NbPersMin>1</tif:NbPersMin>
                <tif:NbPersMax>10</tif:NbPersMax>
                <tif:AgeMin>1</tif:AgeMin>
                <tif:AgeMax>99</tif:AgeMax>
            </tif:DetailClient>
        </tif:DetailClienteles>
        <tif:DetailClienteles id="TODO" type="TODO" libelle="TODO" xml:lang="FR" >
            <tif:DetailClient id="TODO" idref="" type="TODO" libelle="TODO" xml:lang="FR" >
                <tif:Nom xml:lang="FR">Nom</tif:Nom>
                <tif:GroupeRef>O</tif:GroupeRef>
                <tif:NbPersMin>1</tif:NbPersMin>
                <tif:NbPersMax>10</tif:NbPersMax>
                <tif:AgeMin>1</tif:AgeMin>
                <tif:AgeMax>99</tif:AgeMax>
            </tif:DetailClient>
            <tif:DetailClient id="TODO" idref="" type="TODO" libelle="TODO" xml:lang="FR" >
                <tif:Nom xml:lang="FR">Nom</tif:Nom>
                <tif:GroupeRef>O</tif:GroupeRef>
                <tif:NbPersMin>1</tif:NbPersMin>
                <tif:NbPersMax>10</tif:NbPersMax>
                <tif:AgeMin>1</tif:AgeMin>
                <tif:AgeMax>99</tif:AgeMax>
            </tif:DetailClient>
        </tif:DetailClienteles>
    </tif:Clienteles>     
    -->
    <xsl:template name="Mod_Clienteles">
        <xsl:variable name="v_objettour">
            <xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:ID_OBJETTOUR"/>
        </xsl:variable>
        <tif:Clienteles>
            <xsl:choose>
                <xsl:when test="$v_objettour='HOT' ">
                    <xsl:call-template name="Mod_Clienteles_HOT"/>
                </xsl:when>
                <xsl:when test="$v_objettour='HPA' ">
                    <xsl:call-template name="Mod_Clienteles_HPA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='HLO' ">
                    <xsl:call-template name="Mod_Clienteles_HLO"/>
                </xsl:when>
                <xsl:when test="$v_objettour='RES' ">
                    <xsl:call-template name="Mod_Clienteles_RES"/>
                </xsl:when>
                <xsl:when test="$v_objettour='FMA' ">
                    <xsl:call-template name="Mod_Clienteles_FMA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='PNA' ">
                    <xsl:call-template name="Mod_Clienteles_PNA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='PCU' ">
                    <xsl:call-template name="Mod_Clienteles_PCU"/>
                </xsl:when>
                <xsl:when test="$v_objettour='DEG' ">
                    <xsl:call-template name="Mod_Clienteles_DEG"/>
                </xsl:when>
                <xsl:when test="$v_objettour='LOI' ">
                    <xsl:call-template name="Mod_Clienteles_LOI"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ASC' ">
                    <xsl:call-template name="Mod_Clienteles_ASC"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ITI' ">
                    <xsl:call-template name="Mod_Clienteles_ITI"/>
                </xsl:when>
                <xsl:when test="$v_objettour='VIL' ">
                    <xsl:call-template name="Mod_Clienteles_VIL"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ORG' ">
                    <xsl:call-template name="Mod_Clienteles_ORG"/>
                </xsl:when>
            </xsl:choose>
            <!-- -->
        </tif:Clienteles>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : HOT -->
    <!-- ============== -->
    <xsl:template name="Mod_Clienteles_HOT">
        <xsl:if test=" normalize-space(/tif22:OI22/tif22:HOT/tif22:Hot.GROUPEOK) = 'Y'">
            <tif:DetailClienteles>
                <xsl:attribute name="type">10.01.02</xsl:attribute> <!-- Groupes -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.01.02')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:for-each select="/tif22:OI22/tif22:HOT/tif22:Hot4_group.ID_GROUP">
                        <xsl:comment>==</xsl:comment>
                        <xsl:if test="normalize-space(.) != '' ">
                            <tif:DetailClient>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('TypGroupe',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <!--Nombre de personnes min -->
                                <xsl:if test=" normalize-space(/tif22:OI22/tif22:HOT/tif22:Hot.GROUPEMIN) != ''  ">
                                    <tif:NbPersMin>
                                        <xsl:value-of select="/tif22:OI22/tif22:HOT/tif22:Hot.GROUPEMIN"/>
                                    </tif:NbPersMin>
                                </xsl:if>
                                <!--Nombre de personnes max. -->
                                <xsl:if test=" normalize-space(/tif22:OI22/tif22:HOT/tif22:Hot.GROUPEMAX) != '' ">
                                    <tif:NbPersMax>
                                        <xsl:value-of select="/tif22:OI22/tif22:HOT/tif22:Hot.GROUPEMAX"/>
                                    </tif:NbPersMax>
                                </xsl:if>
                            </tif:DetailClient>
                        </xsl:if>
                    </xsl:for-each>
            </tif:DetailClienteles>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : HPA -->
    <!-- ============== -->
    <xsl:template name="Mod_Clienteles_HPA">
        <xsl:if test=" normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.GROUPEOK) = 'Y'">
            <tif:DetailClienteles>
                <xsl:attribute name="type">10.01.02</xsl:attribute> <!-- Groupes -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.01.02')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:for-each select="/tif22:OI22/tif22:HPA/tif22:Hpa4_group.ID_GROUP">
                        <xsl:comment>==</xsl:comment>
                        <xsl:if test="normalize-space(.) != '' ">
                            <tif:DetailClient>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('TypGroupe',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <!--Nombre de personnes min -->
                                <xsl:if test=" normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.GROUPEMIN) != ''  ">
                                    <tif:NbPersMin>
                                        <xsl:value-of select="/tif22:OI22/tif22:HPA/tif22:Hpa.GROUPEMIN"/>
                                    </tif:NbPersMin>
                                </xsl:if>
                                <!--Nombre de personnes max. -->
                                <xsl:if test=" normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.GROUPEMAX) != '' ">
                                    <tif:NbPersMax>
                                        <xsl:value-of select="/tif22:OI22/tif22:HPA/tif22:Hpa.GROUPEMAX"/>
                                    </tif:NbPersMax>
                                </xsl:if>
                            </tif:DetailClient>
                        </xsl:if>
                    </xsl:for-each>
            </tif:DetailClienteles>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : HLO -->
    <!-- ============== -->
    <xsl:template name="Mod_Clienteles_HLO">
        <xsl:if test=" normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.GROUPEOK) = 'Y'">
            <tif:DetailClienteles>
                <xsl:attribute name="type">10.01.02</xsl:attribute> <!-- Groupes -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.01.02')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:for-each select="/tif22:OI22/tif22:HLO/tif22:Hlo4_group.ID_GROUP">
                        <xsl:comment>==</xsl:comment>
                        <xsl:if test="normalize-space(.) != '' ">
                            <tif:DetailClient>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('TypGroupe',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <!--Nombre de personnes min -->
                                <xsl:if test=" normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.GROUPEMIN) != ''  ">
                                    <tif:NbPersMin>
                                        <xsl:value-of select="/tif22:OI22/tif22:HLO/tif22:Hlo.GROUPEMIN"/>
                                    </tif:NbPersMin>
                                </xsl:if>
                                <!--Nombre de personnes max. -->
                                <xsl:if test=" normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.GROUPEMAX) != '' ">
                                    <tif:NbPersMax>
                                        <xsl:value-of select="/tif22:OI22/tif22:HLO/tif22:Hlo.GROUPEMAX"/>
                                    </tif:NbPersMax>
                                </xsl:if>
                            </tif:DetailClient>
                        </xsl:if>
                    </xsl:for-each>
            </tif:DetailClienteles>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : RES -->
    <!-- ============== -->
    <xsl:template name="Mod_Clienteles_RES">
        <xsl:if test=" normalize-space(/tif22:OI22/tif22:RES/tif22:Res.GROUPEOK) = 'Y'">
            <tif:DetailClienteles>
                <xsl:attribute name="type">10.01.02</xsl:attribute> <!-- Groupes -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.01.02')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:for-each select="/tif22:OI22/tif22:RES/tif22:Res4_group.ID_GROUP">
                        <xsl:comment>==</xsl:comment>
                        <xsl:if test="normalize-space(.) != '' ">
                            <tif:DetailClient>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('TypGroupe',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <!--Nombre de personnes min -->
                                <xsl:if test=" normalize-space(/tif22:OI22/tif22:RES/tif22:Res.GROUPEMIN) != ''  ">
                                    <tif:NbPersMin>
                                        <xsl:value-of select="/tif22:OI22/tif22:RES/tif22:Res.GROUPEMIN"/>
                                    </tif:NbPersMin>
                                </xsl:if>
                                <!--Nombre de personnes max. -->
                                <xsl:if test=" normalize-space(/tif22:OI22/tif22:RES/tif22:Res.GROUPEMAX) != '' ">
                                    <tif:NbPersMax>
                                        <xsl:value-of select="/tif22:OI22/tif22:RES/tif22:Res.GROUPEMAX"/>
                                    </tif:NbPersMax>
                                </xsl:if>
                            </tif:DetailClient>
                        </xsl:if>
                    </xsl:for-each>
            </tif:DetailClienteles>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : FMA -->
    <!-- ============== -->
    <xsl:template name="Mod_Clienteles_FMA">
        <xsl:if test=" normalize-space(/tif22:OI22/tif22:FMA/tif22:Fma.GROUPEOK) = 'Y'">
            <tif:DetailClienteles>
                <xsl:attribute name="type">10.01.02</xsl:attribute> <!-- Groupes -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.01.02')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:for-each select="/tif22:OI22/tif22:FMA/tif22:Fma4_group.ID_GROUP">
                        <xsl:comment>==</xsl:comment>
                        <xsl:if test="normalize-space(.) != '' ">
                            <tif:DetailClient>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('TypGroupe',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <!--Nombre de personnes min -->
                                <xsl:if test=" normalize-space(/tif22:OI22/tif22:FMA/tif22:Fma.GROUPEMIN) != ''  ">
                                    <tif:NbPersMin>
                                        <xsl:value-of select="/tif22:OI22/tif22:FMA/tif22:Fma.GROUPEMIN"/>
                                    </tif:NbPersMin>
                                </xsl:if>
                                <!--Nombre de personnes max. -->
                                <xsl:if test=" normalize-space(/tif22:OI22/tif22:FMA/tif22:Fma.GROUPEMAX) != '' ">
                                    <tif:NbPersMax>
                                        <xsl:value-of select="/tif22:OI22/tif22:FMA/tif22:Fma.GROUPEMAX"/>
                                    </tif:NbPersMax>
                                </xsl:if>
                            </tif:DetailClient>
                        </xsl:if>
                    </xsl:for-each>
            </tif:DetailClienteles>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : PNA -->
    <!-- ============== -->
    <xsl:template name="Mod_Clienteles_PNA">
        <xsl:if test=" normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.GROUPEOK) = 'Y'">
            <tif:DetailClienteles>
                <xsl:attribute name="type">10.01.02</xsl:attribute> <!-- Groupes -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.01.02')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:for-each select="/tif22:OI22/tif22:PNA/tif22:Pna4_group.ID_GROUPE">
                        <xsl:comment>==</xsl:comment>
                        <xsl:if test="normalize-space(.) != '' ">
                            <tif:DetailClient>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('TypGroupe',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <!--Nombre de personnes min -->
                                <xsl:if test=" normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.GROUPEMIN) != ''  ">
                                    <tif:NbPersMin>
                                        <xsl:value-of select="/tif22:OI22/tif22:PNA/tif22:Pna.GROUPEMIN"/>
                                    </tif:NbPersMin>
                                </xsl:if>
                                <!--Nombre de personnes max. -->
                                <xsl:if test=" normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.GROUPEMAX) != '' ">
                                    <tif:NbPersMax>
                                        <xsl:value-of select="/tif22:OI22/tif22:PNA/tif22:Pna.GROUPEMAX"/>
                                    </tif:NbPersMax>
                                </xsl:if>
                            </tif:DetailClient>
                        </xsl:if>
                    </xsl:for-each>
            </tif:DetailClienteles>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : PCU -->
    <!-- ============== -->
    <xsl:template name="Mod_Clienteles_PCU">
        <xsl:if test=" normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.GROUPEOK) = 'Y'">
            <tif:DetailClienteles>
                <xsl:attribute name="type">10.01.02</xsl:attribute> <!-- Groupes -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.01.02')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:for-each select="/tif22:OI22/tif22:PCU/tif22:Pcu4_group.ID_GROUPE">
                        <xsl:comment>==</xsl:comment>
                        <xsl:if test="normalize-space(.) != '' ">
                            <tif:DetailClient>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('TypGroupe',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <!--Nombre de personnes min -->
                                <xsl:if test=" normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.GROUPEMIN) != ''  ">
                                    <tif:NbPersMin>
                                        <xsl:value-of select="/tif22:OI22/tif22:PCU/tif22:Pcu.GROUPEMIN"/>
                                    </tif:NbPersMin>
                                </xsl:if>
                                <!--Nombre de personnes max. -->
                                <xsl:if test=" normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.GROUPEMAX) != '' ">
                                    <tif:NbPersMax>
                                        <xsl:value-of select="/tif22:OI22/tif22:PCU/tif22:Pcu.GROUPEMAX"/>
                                    </tif:NbPersMax>
                                </xsl:if>
                            </tif:DetailClient>
                        </xsl:if>
                    </xsl:for-each>
            </tif:DetailClienteles>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : DEG -->
    <!-- ============== -->
    <xsl:template name="Mod_Clienteles_DEG">
        <xsl:if test=" normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GROUPEOK) = 'Y'">
            <tif:DetailClienteles>
                <xsl:attribute name="type">10.01.02</xsl:attribute> <!-- Groupes -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.01.02')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:for-each select="/tif22:OI22/tif22:DEG/tif22:Deg4_group.ID_GROUPE">
                        <xsl:comment>==</xsl:comment>
                        <xsl:if test="normalize-space(.) != '' ">
                            <tif:DetailClient>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('TypGroupe',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <!--Nombre de personnes min -->
                                <xsl:if test=" normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GROUPEMIN) != ''  ">
                                    <tif:NbPersMin>
                                        <xsl:value-of select="/tif22:OI22/tif22:DEG/tif22:Deg.GROUPEMIN"/>
                                    </tif:NbPersMin>
                                </xsl:if>
                                <!--Nombre de personnes max. -->
                                <xsl:if test=" normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.GROUPEMAX) != '' ">
                                    <tif:NbPersMax>
                                        <xsl:value-of select="/tif22:OI22/tif22:DEG/tif22:Deg.GROUPEMAX"/>
                                    </tif:NbPersMax>
                                </xsl:if>
                            </tif:DetailClient>
                        </xsl:if>
                    </xsl:for-each>
            </tif:DetailClienteles>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : LOI -->
    <!-- ============= -->
    <xsl:template name="Mod_Clienteles_LOI">
        <xsl:if test=" normalize-space(/tif22:OI22/tif22:LOI/tif22:Loi.GROUPEOK) = 'Y'">
            <tif:DetailClienteles>
                <xsl:attribute name="type">10.01.02</xsl:attribute> <!-- Groupes -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.01.02')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:for-each select="/tif22:OI22/tif22:LOI/tif22:Loi4_group.ID_GROUPE">
                        <xsl:comment>==</xsl:comment>
                        <xsl:if test="normalize-space(.) != '' ">
                            <tif:DetailClient>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('TypGroupe',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <!--Nombre de personnes min -->
                                <xsl:if test=" normalize-space(/tif22:OI22/tif22:LOI/tif22:Loi.GROUPEMIN) != ''  ">
                                    <tif:NbPersMin>
                                        <xsl:value-of select="/tif22:OI22/tif22:LOI/tif22:Loi.GROUPEMIN"/>
                                    </tif:NbPersMin>
                                </xsl:if>
                                <!--Nombre de personnes max. -->
                                <xsl:if test=" normalize-space(/tif22:OI22/tif22:LOI/tif22:Loi.GROUPEMAX) != '' ">
                                    <tif:NbPersMax>
                                        <xsl:value-of select="/tif22:OI22/tif22:LOI/tif22:Loi.GROUPEMAX"/>
                                    </tif:NbPersMax>
                                </xsl:if>
                            </tif:DetailClient>
                        </xsl:if>
                    </xsl:for-each>
            </tif:DetailClienteles>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : ASC -->
    <!-- ============== -->
    <xsl:template name="Mod_Clienteles_ASC">
        <xsl:if test=" normalize-space(/tif22:OI22/tif22:ASC/tif22:Asc.GROUPEOK) = 'Y'">
            <tif:DetailClienteles>
                <xsl:attribute name="type">10.01.02</xsl:attribute> <!-- Groupes -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.01.02')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:for-each select="/tif22:OI22/tif22:ASC/tif22:Asc4_group.ID_GROUP">
                        <xsl:comment>==</xsl:comment>
                        <xsl:if test="normalize-space(.) != '' ">
                            <tif:DetailClient>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('TypGroupe',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <!--Nombre de personnes min -->
                                <xsl:if test=" normalize-space(/tif22:OI22/tif22:ASC/tif22:Asc.GROUPEMIN) != ''  ">
                                    <tif:NbPersMin>
                                        <xsl:value-of select="/tif22:OI22/tif22:ASC/tif22:Asc.GROUPEMIN"/>
                                    </tif:NbPersMin>
                                </xsl:if>
                                <!--Nombre de personnes max. -->
                                <xsl:if test=" normalize-space(/tif22:OI22/tif22:ASC/tif22:Asc.GROUPEMAX) != '' ">
                                    <tif:NbPersMax>
                                        <xsl:value-of select="/tif22:OI22/tif22:ASC/tif22:Asc.GROUPEMAX"/>
                                    </tif:NbPersMax>
                                </xsl:if>
                            </tif:DetailClient>
                        </xsl:if>
                    </xsl:for-each>
            </tif:DetailClienteles>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : ITI   -->
    <!-- ============= -->
    <xsl:template name="Mod_Clienteles_ITI">
        <xsl:if test=" normalize-space(/tif22:OI22/tif22:ITI/tif22:Iti.GROUPEOK) = 'Y'">
            <tif:DetailClienteles>
                <xsl:attribute name="type">10.01.02</xsl:attribute> <!-- Groupes -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.01.02')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:for-each select="/tif22:OI22/tif22:ITI/tif22:Iti4_group.ID_GROUP">
                        <xsl:comment>==</xsl:comment>
                        <xsl:if test="normalize-space(.) != '' ">
                            <tif:DetailClient>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('TypGroupe',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <!--Nombre de personnes min -->
                                <xsl:if test=" normalize-space(/tif22:OI22/tif22:ITI/tif22:Iti.GROUPEMIN) != ''  ">
                                    <tif:NbPersMin>
                                        <xsl:value-of select="/tif22:OI22/tif22:ITI/tif22:Iti.GROUPEMIN"/>
                                    </tif:NbPersMin>
                                </xsl:if>
                                <!--Nombre de personnes max. -->
                                <xsl:if test=" normalize-space(/tif22:OI22/tif22:ITI/tif22:Iti.GROUPEMAX) != '' ">
                                    <tif:NbPersMax>
                                        <xsl:value-of select="/tif22:OI22/tif22:ITI/tif22:Iti.GROUPEMAX"/>
                                    </tif:NbPersMax>
                                </xsl:if>
                            </tif:DetailClient>
                        </xsl:if>
                    </xsl:for-each>
            </tif:DetailClienteles>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : VIL  -->
    <!-- ============= -->
    <xsl:template name="Mod_Clienteles_VIL">
        <xsl:if test=" normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil.GROUPEOK) = 'Y'">
            <tif:DetailClienteles>
                    <xsl:attribute name="type">10.01.02</xsl:attribute> <!-- Groupes -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.01.02')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:for-each select="/tif22:OI22/tif22:VIL/tif22:Vil4_group.ID_GROUP">
                        <xsl:comment>==</xsl:comment>
                        <xsl:if test="normalize-space(.) != '' ">
                            <tif:DetailClient>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('TypGroupe',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <!--Nombre de personnes min -->
                                <xsl:if test=" normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil.GROUPEMIN) != ''  ">
                                    <tif:NbPersMin>
                                        <xsl:value-of select="/tif22:OI22/tif22:VIL/tif22:Vil.GROUPEMIN"/>
                                    </tif:NbPersMin>
                                </xsl:if>
                                <!--Nombre de personnes max. -->
                                <xsl:if test=" normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil.GROUPEMAX) != '' ">
                                    <tif:NbPersMax>
                                        <xsl:value-of select="/tif22:OI22/tif22:VIL/tif22:Vil.GROUPEMAX"/>
                                    </tif:NbPersMax>
                                </xsl:if>
                            </tif:DetailClient>
                        </xsl:if>
                    </xsl:for-each>
            </tif:DetailClienteles>
        </xsl:if>
        <!--Type de clientèle-->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil.TYPE_CLIENTS) != '' ">
            <xsl:comment>==</xsl:comment>
            <tif:DetailClienteles>
                <xsl:variable name="code22" select="normalize-space(normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil.TYPE_CLIENTS))"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Clients_vil',$code22)"/></xsl:variable>
                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
            </tif:DetailClienteles>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : ORG -->
    <!-- ============== -->
    <xsl:template name="Mod_Clienteles_ORG">
        <xsl:if test=" normalize-space(/tif22:OI22/tif22:ORG/tif22:Org.GROUPEOK) = 'Y'">
            <tif:DetailClienteles>
                <xsl:attribute name="type">10.01.02</xsl:attribute> <!-- Groupes -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('10.01.02')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:for-each select="/tif22:OI22/tif22:ORG/tif22:Org4_group.ID_GROUP">
                        <xsl:comment>==</xsl:comment>
                        <xsl:if test="normalize-space(.) != '' ">
                            <tif:DetailClient>
                                <xsl:variable name="code22" select="normalize-space(.)"/>
                                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('TypGroupe',$code22)"/></xsl:variable>
                                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30($code30)"/></xsl:attribute>
                                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                                <!--Nombre de personnes min -->
                                <xsl:if test=" normalize-space(/tif22:OI22/tif22:ORG/tif22:Org.GROUPEMIN) != ''  ">
                                    <tif:NbPersMin>
                                        <xsl:value-of select="/tif22:OI22/tif22:ORG/tif22:Org.GROUPEMIN"/>
                                    </tif:NbPersMin>
                                </xsl:if>
                                <!--Nombre de personnes max. -->
                                <xsl:if test=" normalize-space(/tif22:OI22/tif22:ORG/tif22:Org.GROUPEMAX) != '' ">
                                    <tif:NbPersMax>
                                        <xsl:value-of select="/tif22:OI22/tif22:ORG/tif22:Org.GROUPEMAX"/>
                                    </tif:NbPersMax>
                                </xsl:if>
                            </tif:DetailClient>
                        </xsl:if>
                    </xsl:for-each>
            </tif:DetailClienteles>
        </xsl:if>
    </xsl:template>
</xsl:stylesheet>
