<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns:dcterms="http://purl.org/dc/terms/"
    xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:tif22="http://www.tourinfrance.net/tourinfrance22/"
    xmlns:thes="tif.tools.ThesaurusReader" extension-element-prefixes="thes">
    <xsl:output encoding="utf-8" indent="yes" version="1.0" method="xml"/>
    <!-- Module DC ========================================================
            <DublinCore>
        <dc:title>title</dc:title>
            <dcterms:alternative/>
        <dc:creator>creator</dc:creator>
        <dc:subject>subject</dc:subject>
           <tif:Keywords xml:lang="FR">Keywords</tif:Keywords>
           <tif:ControlledVocabulary code="" xml:lang="FR">ControlledVocabulary</tif:ControlledVocabulary>
            <tif:Classification code="" xml:lang="FR">Classification</tif:Classification>
        <dc:description/>
            <dcterms:tableOfContents/>
            <dcterms:abstract/>
        <dc:publisher/>
        <dc:contributor/>
        <dc:date/>
            <dcterms:created>created</dcterms:created>
            <dcterms:valid>valid</dcterms:valid>
            <dcterms:modified/>
            <dcterms:issued/>
            <dcterms:available/>
            <dcterms:dateAccepted/>
            <dcterms:dateCopyrighted/>
            <dcterms:dateSubmitted/>
        <dc:type/>
        <dc:format/>
            <dcterms:extent/>
            <dcterms:medium/>
            <dc:identifier/>
        <dcterms:bibliographicCitation/>
        <dc:source>source</dc:source>
        <dc:language/>
        <dc:relation/>
            <dcterms:isVersionOf/>
            <dcterms:hasVersion/>
            <dcterms:isReplacedBy/>
            <dcterms:replaces/>
            <dcterms:isRequiredBy/>
            <dcterms:requires/>
            <dcterms:isPartOf/>
            <dcterms:hasPart/>
            <dcterms:isReferencedBy/>
            <dcterms:references/>
            <dcterms:isFormatOf/>
            <dcterms:hasFormat/>
            <dcterms:conformsTo/>
        <dc:coverage/>
            <dcterms:spatial/>
            <dcterms:temporal/>
        <dc:rights>rights</dc:rights>
            <dcterms:accessRights/>
        <dcterms:audience/>
            <dcterms:mediator/>
            <dcterms:educationLevel/>
    </DublinCore>
            -->
    <xsl:template name="Mod_DC">
        <xsl:variable name="v_objettour">
            <xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:ID_OBJETTOUR"/>
        </xsl:variable>
        <tif:DublinCore>
            <!-- -->
            <xsl:call-template name="Mod_DC_Common"/>
            <!-- -->
            <xsl:choose>
                <xsl:when test="$v_objettour='HOT' ">
                    <xsl:call-template name="Mod_DC_HOT"/>
                </xsl:when>
                <xsl:when test="$v_objettour='HPA' ">
                    <xsl:call-template name="Mod_DC_HPA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='HLO' ">
                    <xsl:call-template name="Mod_DC_HLO"/>
                </xsl:when>
                <xsl:when test="$v_objettour='RES' ">
                    <xsl:call-template name="Mod_DC_RES"/>
                </xsl:when>
                <xsl:when test="$v_objettour='FMA' ">
                    <xsl:call-template name="Mod_DC_FMA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='PNA' ">
                    <xsl:call-template name="Mod_DC_PNA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='PCU' ">
                    <xsl:call-template name="Mod_DC_PCU"/>
                </xsl:when>
                <xsl:when test="$v_objettour='DEG' ">
                    <xsl:call-template name="Mod_DC_DEG"/>
                </xsl:when>
                <xsl:when test="$v_objettour='LOI' ">
                    <xsl:call-template name="Mod_DC_LOI"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ASC' ">
                    <xsl:call-template name="Mod_DC_ASC"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ITI' ">
                    <xsl:call-template name="Mod_DC_ITI"/>
                </xsl:when>
                <xsl:when test="$v_objettour='VIL' ">
                    <xsl:call-template name="Mod_DC_VIL"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ORG' ">
                    <xsl:call-template name="Mod_DC_ORG"/>
                </xsl:when>
                <xsl:when test="$v_objettour='MUL' ">
                    <xsl:call-template name="Mod_DC_MUL"/>
                </xsl:when>
            </xsl:choose>
            <!-- -->
        </tif:DublinCore>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- Bordereaux : tous (HOT HPA HLO RES FMA PNA PCU DEG LOI ASC ITI VIL ORG MUL ) -->
    <!-- ============================================================= -->
    <xsl:template name="Mod_DC_Common">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID)!='' ">
            <dc:identifier>
                <xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:ID"/>
            </dc:identifier>
        </xsl:if>
        <!-- ============= -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:DATECREA)!='' ">
            <dc:date>
                <xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:DATECREA"/>
            </dc:date>
        </xsl:if>
        <!-- ============= -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:DATECREA)!='' ">
            <dcterms:created>
                <xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:DATECREA"/>
            </dcterms:created>
        </xsl:if>
        <!-- ============= -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:DATEMAJ)!='' ">
            <dcterms:modified>
                <xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:DATEMAJ"/>
            </dcterms:modified>
        </xsl:if>
        <!-- ============= -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_OBJETTOUR)!='' ">
            <tif:Classification>
                <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_OBJETTOUR)"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('ObjetTour',$code22)"/></xsl:variable>
                <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:value-of select="thes:getLibelle30($code30)"/>
            </tif:Classification>
        </xsl:if>
    </xsl:template>
    <!-- ============== -->
    <!-- Bordereaux : HOT -->
    <!-- ============== -->
    <xsl:template name="Mod_DC_HOT">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_TYPE)!='' ">
            <tif:ControlledVocabulary>
                <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_TYPE)"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Type_hot',$code22)"/></xsl:variable>
                <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:value-of select="thes:getLibelle30($code30)"/>
            </tif:ControlledVocabulary>
        </xsl:if>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:HOT/tif22:Hot.DESCOM)!='' ">
            <dc:description><xsl:value-of select="/tif22:OI22/tif22:HOT/tif22:Hot.DESCOM"/></dc:description>
        </xsl:if>
    </xsl:template>
    <!-- ============== -->
    <!-- Bordereaux : HPA -->
    <!-- ============== -->
    <xsl:template name="Mod_DC_HPA">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_TYPE)!='' ">
            <tif:ControlledVocabulary>
                <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_TYPE)"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Type_hpa',$code22)"/></xsl:variable>
                <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:value-of select="thes:getLibelle30($code30)"/>
            </tif:ControlledVocabulary>
        </xsl:if>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.DESCOM)!='' ">
            <dc:description><xsl:value-of select="/tif22:OI22/tif22:HPA/tif22:Hpa.DESCOM"/></dc:description>
        </xsl:if>
    </xsl:template>
    <!-- ============== -->
    <!-- Bordereaux : HLO -->
    <!-- ============== -->
    <xsl:template name="Mod_DC_HLO">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_TYPE)!='' ">
            <tif:ControlledVocabulary>
                <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_TYPE)"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Type_hlo',$code22)"/></xsl:variable>
                <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:value-of select="thes:getLibelle30($code30)"/>
            </tif:ControlledVocabulary>
        </xsl:if>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.DESCOM)!='' ">
            <dc:description><xsl:value-of select="/tif22:OI22/tif22:HLO/tif22:Hlo.DESCOM"/></dc:description>
        </xsl:if>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.CODE_HEB)!='' ">
            <dc:identifier><xsl:value-of select="/tif22:OI22/tif22:HLO/tif22:Hlo.CODE_HEB"/></dc:identifier>
        </xsl:if>
    </xsl:template>
    <!-- ============== -->
    <!-- Bordereaux : RES -->
    <!-- ============== -->
    <xsl:template name="Mod_DC_RES">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_TYPE)!='' ">
            <tif:ControlledVocabulary>
                <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_TYPE)"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Type_res',$code22)"/></xsl:variable>
                <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:value-of select="thes:getLibelle30($code30)"/>
            </tif:ControlledVocabulary>
        </xsl:if>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:RES/tif22:Res.DESCOM)!='' ">
            <dc:description><xsl:value-of select="/tif22:OI22/tif22:RES/tif22:Res.DESCOM"/></dc:description>
        </xsl:if>
        <!-- Catégories -->
        <xsl:if test="count(/tif22:OI22/tif22:RES/tif22:Res1_cat.ID_CAT_RES) &gt;0 ">
            <xsl:for-each select="/tif22:OI22/tif22:RES/tif22:Res1_cat.ID_CAT_RES">
                <tif:ControlledVocabulary>
                    <xsl:variable name="code22" select="normalize-space(text())"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Cat_res',$code22)"/></xsl:variable>
                    <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:ControlledVocabulary>
            </xsl:for-each>
        </xsl:if>
        <!-- specialités culinaires -->
        <xsl:if test="count(/tif22:OI22/tif22:RES/tif22:Res1_cul.ID_SPEC_RES) &gt; 0 ">
            <xsl:for-each select="/tif22:OI22/tif22:RES/tif22:Res1_cul.ID_SPEC_RES">
                <xsl:if test="normalize-space(.) != '' ">
                    <tif:ControlledVocabulary>
                        <xsl:variable name="code22" select="normalize-space(.)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Spec_res',$code22)"/></xsl:variable>
                        <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30($code30)"/>
                    </tif:ControlledVocabulary>
                </xsl:if>
            </xsl:for-each>
        </xsl:if>
        <!-- cuisine etrangere -->
        <xsl:if test="count(/tif22:OI22/tif22:RES/tif22:Res1_etr.ID_PAYS) &gt;0 ">
            <xsl:for-each select="/tif22:OI22/tif22:RES/tif22:Res1_etr.ID_PAYS">
                <xsl:if test="normalize-space(.) != '' ">
                    <tif:ControlledVocabulary>
                        <xsl:variable name="code22" select="normalize-space(.)"/>
                        <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Pays',$code22)"/></xsl:variable>
                        <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="thes:getLibelle30($code30)"/>
                    </tif:ControlledVocabulary>
                </xsl:if>
            </xsl:for-each>
        </xsl:if>
    </xsl:template>
    <!-- ============== -->
    <!-- Bordereaux : FMA -->
    <!-- ============== -->
    <xsl:template name="Mod_DC_FMA">
        <xsl:for-each select="/tif22:OI22/tif22:FMA/tif22:Fma1_type.ID_TYPE">
            <xsl:variable name="v_pos" select="position()"/>
            <xsl:if test="text()!=''">
                <tif:ControlledVocabulary>
                    <xsl:variable name="code22" select="text()"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Type_fma',$code22)"/></xsl:variable>
                    <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:ControlledVocabulary>
            </xsl:if>
        </xsl:for-each>
        <xsl:for-each select="/tif22:OI22/tif22:FMA/tif22:Fma1_cat.ID_CAT">
            <xsl:variable name="v_pos" select="position()"/>
            <xsl:if test="text()!=''">
                <tif:ControlledVocabulary>
                    <xsl:variable name="code22" select="text()"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Cat_fma',$code22)"/></xsl:variable>
                    <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:ControlledVocabulary>
            </xsl:if>
        </xsl:for-each>
        <xsl:for-each select="/tif22:OI22/tif22:FMA/tif22:Fma1_theme.ID_THEME">
            <xsl:variable name="v_pos" select="position()"/>
            <xsl:if test="text()!=''">
                <tif:ControlledVocabulary>
                    <xsl:variable name="code22" select="text()"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Theme_fma',$code22)"/></xsl:variable>
                    <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:ControlledVocabulary>
            </xsl:if>
        </xsl:for-each>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:FMA/tif22:Fma.DESCRIPTIF)!='' ">
            <dc:description><xsl:value-of select="/tif22:OI22/tif22:FMA/tif22:Fma.DESCRIPTIF"/></dc:description>
        </xsl:if>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:FMA/tif22:Fma.NOM)!='' ">
            <dc:title><xsl:value-of select="/tif22:OI22/tif22:FMA/tif22:Fma.NOM"/></dc:title>
        </xsl:if>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:FMA/tif22:Fma.ID_EVEN)!='' ">
            <dc:isPartOf><xsl:value-of select="/tif22:OI22/tif22:FMA/tif22:Fma.ID_EVEN"/></dc:isPartOf>
        </xsl:if>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:FMA/tif22:Fma.GENERIQUE)!='' ">
            <dc:hasPart><xsl:value-of select="/tif22:OI22/tif22:FMA/tif22:Fma.GENERIQUE"/></dc:hasPart>
        </xsl:if>
    </xsl:template>
    <!-- ============== -->
    <!-- Bordereaux : PNA -->
    <!-- ============== -->
    <xsl:template name="Mod_DC_PNA">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_TYPE)!='' ">
            <tif:ControlledVocabulary>
                <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_TYPE)"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Type_pna',$code22)"/></xsl:variable>
                <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:value-of select="thes:getLibelle30($code30)"/>
            </tif:ControlledVocabulary>
        </xsl:if>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.DESCOM)!='' ">
            <dc:description> <xsl:value-of select="/tif22:OI22/tif22:PNA/tif22:Pna.DESCOM"/></dc:description>
        </xsl:if>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.NOM)!='' ">
            <dc:title><xsl:value-of select="/tif22:OI22/tif22:PNA/tif22:Pna.NOM"/></dc:title>
        </xsl:if>
    </xsl:template>
    <!-- ============== -->
    <!-- Bordereaux : PCU -->
    <!-- ============== -->
    <xsl:template name="Mod_DC_PCU">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_TYPE)!='' ">
            <tif:ControlledVocabulary>
                <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_TYPE)"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Type_pcu',$code22)"/></xsl:variable>
                <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:value-of select="thes:getLibelle30($code30)"/>
            </tif:ControlledVocabulary>
        </xsl:if>
        <xsl:for-each select="/tif22:OI22/tif22:PCU/tif22:Pcu1_type.ID_TYPECOMPL">
            <xsl:variable name="v_pos" select="position()"/>
            <xsl:if test="text()!=''">
                <tif:ControlledVocabulary>
                    <xsl:variable name="code22" select="text()"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Type_pcu',$code22)"/></xsl:variable>
                    <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:ControlledVocabulary>
            </xsl:if>
        </xsl:for-each>
        <xsl:for-each select="/tif22:OI22/tif22:PCU/tif22:Pcu1_mth.ID_THEME">
            <xsl:variable name="v_pos" select="position()"/>
            <xsl:if test="text()!=''">
                <tif:ControlledVocabulary>
                    <xsl:variable name="code22" select="text()"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('MTh_pcu',$code22)"/></xsl:variable>
                    <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:ControlledVocabulary>
            </xsl:if>
        </xsl:for-each>
        <xsl:for-each select="/tif22:OI22/tif22:PCU/tif22:Pcu1_Mcat.ID_CAT_PCU">
            <xsl:variable name="v_pos" select="position()"/>
            <xsl:if test="text()!=''">
                <tif:ControlledVocabulary>
                    <xsl:variable name="code22" select="text()"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('MCat_pcu',$code22)"/></xsl:variable>
                    <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:ControlledVocabulary>
            </xsl:if>
        </xsl:for-each>
        <xsl:for-each select="/tif22:OI22/tif22:PCU/tif22:Pcu1_hth.ID_THEME">
            <xsl:variable name="v_pos" select="position()"/>
            <xsl:if test="text()!=''">
                <tif:ControlledVocabulary>
                    <xsl:variable name="code22" select="text()"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('HTh_pcu',$code22)"/></xsl:variable>
                    <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:ControlledVocabulary>
            </xsl:if>
        </xsl:for-each>
        <xsl:for-each select="/tif22:OI22/tif22:PCU/tif22:Pcu1_Hcat.ID_CAT">
            <xsl:variable name="v_pos" select="position()"/>
            <xsl:if test="text()!=''">
                <tif:ControlledVocabulary>
                    <xsl:variable name="code22" select="text()"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('HCat_pcu',$code22)"/></xsl:variable>
                    <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:ControlledVocabulary>
            </xsl:if>
        </xsl:for-each>
        <xsl:for-each select="/tif22:OI22/tif22:PCU/tif22:Pcu1_har.ID_STYLE">
            <xsl:variable name="v_pos" select="position()"/>
            <xsl:if test="text()!=''">
                <tif:ControlledVocabulary>
                    <xsl:variable name="code22" select="text()"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('HArc_pcu',$code22)"/></xsl:variable>
                    <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:ControlledVocabulary>
            </xsl:if>
        </xsl:for-each>
        <xsl:for-each select="/tif22:OI22/tif22:PCU/tif22:Pcu1_cth.ID_THEME">
            <xsl:variable name="v_pos" select="position()"/>
            <xsl:if test="text()!=''">
                <tif:ControlledVocabulary>
                    <xsl:variable name="code22" select="text()"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('CTh_pcu',$code22)"/></xsl:variable>
                    <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:ControlledVocabulary>
            </xsl:if>
        </xsl:for-each>
        <xsl:for-each select="/tif22:OI22/tif22:PCU/tif22:Pcu1_pth.ID_THEME">
            <xsl:variable name="v_pos" select="position()"/>
            <xsl:if test="text()!=''">
                <tif:ControlledVocabulary>
                    <xsl:variable name="code22" select="text()"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('PTh_pcu',$code22)"/></xsl:variable>
                    <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:ControlledVocabulary>
            </xsl:if>
        </xsl:for-each>
        <xsl:for-each select="/tif22:OI22/tif22:PCU/tif22:Pcu1_Pcat.ID_CAT">
            <xsl:variable name="v_pos" select="position()"/>
            <xsl:if test="text()!=''">
                <tif:ControlledVocabulary>
                    <xsl:variable name="code22" select="text()"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('PCat_pcu',$code22)"/></xsl:variable>
                    <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:ControlledVocabulary>
            </xsl:if>
        </xsl:for-each>
        <xsl:for-each select="/tif22:OI22/tif22:PCU/tif22:Pcu1_par.ID_STYLE">
            <xsl:variable name="v_pos" select="position()"/>
            <xsl:if test="text()!=''">
                <tif:ControlledVocabulary>
                    <xsl:variable name="code22" select="text()"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('PArc_pcu',$code22)"/></xsl:variable>
                    <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:ControlledVocabulary>
            </xsl:if>
        </xsl:for-each>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.DESCOM_PJA)!='' ">
            <dc:description><xsl:value-of select="/tif22:OI22/tif22:PCU/tif22:Pcu.DESCOM_PJA"/></dc:description>
        </xsl:if>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.DESCOM_MUS)!='' ">
            <dc:description><xsl:value-of select="/tif22:OI22/tif22:PCU/tif22:Pcu.DESCOM_MUS"/></dc:description>
        </xsl:if>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.DESCOM_HIS)!='' ">
            <dc:description><xsl:value-of select="/tif22:OI22/tif22:PCU/tif22:Pcu.DESCOM_HIS"/></dc:description>
        </xsl:if>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.DESCOM_CIN)!='' ">
            <dc:description> <xsl:value-of select="/tif22:OI22/tif22:PCU/tif22:Pcu.DESCOM_CIN"/></dc:description>
        </xsl:if>
    </xsl:template>
    <!-- ============== -->
    <!-- Bordereaux : DEG -->
    <!-- ============== -->
    <xsl:template name="Mod_DC_DEG">
        <xsl:for-each select="/tif22:OI22/tif22:DEG/tif22:Deg1_type.ID_TYPE">
            <xsl:variable name="v_pos" select="position()"/>
            <xsl:if test="text()!=''">
                <tif:ControlledVocabulary>
                    <xsl:variable name="code22" select="text()"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Type_deg',$code22)"/></xsl:variable>
                    <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:ControlledVocabulary>
            </xsl:if>
        </xsl:for-each>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.AOC)!='' ">
            <tif:ControlledVocabulary>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:value-of select="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.AOC)"/>
            </tif:ControlledVocabulary>
        </xsl:if>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.ID_STAT_DEG)!='' ">
            <tif:ControlledVocabulary>
                <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.ID_STAT_DEG)"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Stat_deg',$code22)"/></xsl:variable>
                <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:value-of select="thes:getLibelle30($code30)"/>
            </tif:ControlledVocabulary>
        </xsl:if>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.DESCAOC)!='' ">
            <dc:description><xsl:value-of select="/tif22:OI22/tif22:DEG/tif22:Deg.DESCAOC"/></dc:description>
        </xsl:if>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.DESCOM)!='' ">
            <dc:description><xsl:value-of select="/tif22:OI22/tif22:DEG/tif22:Deg.DESCOM"/></dc:description>
        </xsl:if>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.AOC)!='' ">
            <dc:description><xsl:value-of select="/tif22:OI22/tif22:DEG/tif22:Deg.AOC"/></dc:description>
        </xsl:if>
    </xsl:template>
    <!-- ============= -->
    <!-- Bordereaux : LOI -->
    <!-- ============= -->
    <xsl:template name="Mod_DC_LOI">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_TYPE)!='' ">
            <tif:ControlledVocabulary>
                <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_TYPE)"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Objet_loi',$code22)"/></xsl:variable>
                <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:value-of select="thes:getLibelle30($code30)"/>
            </tif:ControlledVocabulary>
        </xsl:if>
        <xsl:for-each select="/tif22:OI22/tif22:LOI/tif22:Loi1_type.ID_TYPE">
            <xsl:variable name="v_pos" select="position()"/>
            <xsl:if test="text()!=''">
                <tif:ControlledVocabulary>
                    <xsl:variable name="code22" select="text()"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Type_loi',$code22)"/></xsl:variable>
                    <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:ControlledVocabulary>
            </xsl:if>
        </xsl:for-each>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:LOI/tif22:Loi.DESCOM)!='' ">
            <dc:description><xsl:value-of select="/tif22:OI22/tif22:LOI/tif22:Loi.DESCOM"/></dc:description>
        </xsl:if>
    </xsl:template>
    <!-- ============== -->
    <!-- Bordereaux : ASC -->
    <!-- ============== -->
    <xsl:template name="Mod_DC_ASC">
        <xsl:for-each select="/tif22:OI22/tif22:ASC/tif22:Asc_sport.ID_SPORT">
            <xsl:variable name="v_pos" select="position()"/>
            <xsl:if test="text()!=''">
                <tif:ControlledVocabulary>
                    <xsl:variable name="code22" select="text()"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Type_asc',$code22)"/></xsl:variable>
                    <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:ControlledVocabulary>
            </xsl:if>
        </xsl:for-each>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ASC/tif22:Asc_sport.SPORT)!='' ">
            <tif:ControlledVocabulary>
                <xsl:variable name="code22" select="/tif22:OI22/tif22:ASC/tif22:Asc_sport.SPORT"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Sport_asc',$code22)"/></xsl:variable>
                <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:value-of select="thes:getLibelle30($code30)"/>
            </tif:ControlledVocabulary>
        </xsl:if>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ASC/tif22:Asc_sport.CAT_PREST)!='' ">
            <tif:ControlledVocabulary>
                <xsl:variable name="code22" select="/tif22:OI22/tif22:ASC/tif22:Asc_sport.CAT_PREST"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Cat_asc',$code22)"/></xsl:variable>
                <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:value-of select="thes:getLibelle30($code30)"/>
            </tif:ControlledVocabulary>
        </xsl:if>
        <xsl:for-each select="/tif22:OI22/tif22:ASC/tif22:Asc_cultu.ID_CULT">
            <xsl:variable name="v_pos" select="position()"/>
            <xsl:if test="text()!=''">
                <tif:ControlledVocabulary>
                    <xsl:variable name="code22" select="text()"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Type_asc',$code22)"/></xsl:variable>
                    <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:ControlledVocabulary>
            </xsl:if>
        </xsl:for-each>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ASC/tif22:Asc_cultu.CULTU)!='' ">
            <tif:ControlledVocabulary>
                <xsl:variable name="code22" select="/tif22:OI22/tif22:ASC/tif22:Asc_cultu.CULTU"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Cult_asc',$code22)"/></xsl:variable>
                <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:value-of select="thes:getLibelle30($code30)"/>
            </tif:ControlledVocabulary>
        </xsl:if>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ASC/tif22:Asc_cultu.CAT_PREST)!='' ">
            <tif:ControlledVocabulary>
                <xsl:variable name="code22" select="/tif22:OI22/tif22:ASC/tif22:Asc_cultu.CAT_PREST"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Cat_asc',$code22)"/></xsl:variable>
                <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:value-of select="thes:getLibelle30($code30)"/>
            </tif:ControlledVocabulary>
        </xsl:if>
        <xsl:for-each select="/tif22:OI22/tif22:ASC/tif22:Asc1_fit.ID_FIT">
            <xsl:variable name="v_pos" select="position()"/>
            <xsl:if test="text()!=''">
                <tif:ControlledVocabulary>
                    <xsl:variable name="code22" select="text()"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Type_asc',$code22)"/></xsl:variable>
                    <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:ControlledVocabulary>
            </xsl:if>
        </xsl:for-each>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ASC/tif22:Asc1_fit.FIT)!='' ">
            <tif:ControlledVocabulary>
                <xsl:variable name="code22" select="/tif22:OI22/tif22:ASC/tif22:Asc1_fit.FIT"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Fit_asc',$code22)"/></xsl:variable>
                <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:value-of select="thes:getLibelle30($code30)"/>
            </tif:ControlledVocabulary>
        </xsl:if>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ASC/tif22:Asc1_fit.CAT_PREST)!='' ">
            <tif:ControlledVocabulary>
                <xsl:variable name="code22" select="/tif22:OI22/tif22:ASC/tif22:Asc1_fit.CAT_PREST"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Cat_asc',$code22)"/></xsl:variable>
                <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:value-of select="thes:getLibelle30($code30)"/>
            </tif:ControlledVocabulary>
        </xsl:if>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ASC/tif22:Asc.DESCOM)!='' ">
            <dc:description><xsl:value-of select="/tif22:OI22/tif22:ASC/tif22:Asc.DESCOM"/></dc:description>
        </xsl:if>
        <!--Lieu de pratique -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ASC/tif22:Asc_sport.LIEU_PRAT) != '' ">
            <dc:description><xsl:value-of select="/tif22:OI22/tif22:ASC/tif22:Asc_sport.LIEU_PRAT"/></dc:description>
        </xsl:if>
        <!--Lieu de pratique -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ASC/tif22:Asc_cultu.LIEU_PRAT) != '' ">
            <dc:description><xsl:value-of select="/tif22:OI22/tif22:ASC/tif22:Asc_cultu.LIEU_PRAT"/></dc:description>
        </xsl:if>
        <!--Lieu de pratique -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ASC/tif22:Asc1_fit.LIEU_PRAT) != '' ">
            <dc:description><xsl:value-of select="/tif22:OI22/tif22:ASC/tif22:Asc1_fit.LIEU_PRAT"/></dc:description>
        </xsl:if>
     </xsl:template>
    <!-- ============= -->
    <!-- Bordereaux : ITI   -->
    <!-- ============= -->
    <xsl:template name="Mod_DC_ITI">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_TYPE)!='' ">
            <tif:ControlledVocabulary>
                <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_TYPE)"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Type_iti',$code22)"/></xsl:variable>
                <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:value-of select="thes:getLibelle30($code30)"/>
            </tif:ControlledVocabulary>
        </xsl:if>
        <xsl:for-each select="/tif22:OI22/tif22:ITI/tif22:Iti1_them.ID_THEME_ITI">
            <xsl:variable name="v_pos" select="position()"/>
            <xsl:if test="text()!=''">
                <tif:ControlledVocabulary>
                    <xsl:variable name="code22" select="text()"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Theme_iti',$code22)"/></xsl:variable>
                    <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:ControlledVocabulary>
            </xsl:if>
        </xsl:for-each>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ITI/tif22:Iti.DESCOM)!='' ">
            <dc:description><xsl:value-of select="/tif22:OI22/tif22:ITI/tif22:Iti.DESCOM"/></dc:description>
        </xsl:if>
        <!--Lieu de pratique -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ITI/tif22:Iti1_them.LIEU_PRAT) != '' ">
            <dc:description><xsl:value-of select="/tif22:OI22/tif22:ITI/tif22:Iti1_them.LIEU_PRAT"/></dc:description>
        </xsl:if>
    </xsl:template>
    <!-- ============= -->
    <!-- Bordereaux : VIL  -->
    <!-- ============= -->
    <xsl:template name="Mod_DC_VIL">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:VIL/tif22:VilVac.DESCOM)!='' ">
            <tif:description><xsl:value-of select="/tif22:OI22/tif22:VIL/tif22:VilVac.DESCOM"/></tif:description>
        </xsl:if>
    </xsl:template>
    <!-- ============== -->
    <!-- Bordereaux : ORG -->
    <!-- ============== -->
    <xsl:template name="Mod_DC_ORG">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_TYPE)!='' ">
            <tif:ControlledVocabulary>
                <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_TYPE)"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Type_org',$code22)"/></xsl:variable>
                <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:value-of select="thes:getLibelle30($code30)"/>
            </tif:ControlledVocabulary>
        </xsl:if>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_TYPE)='ENTRE' ">        
            <xsl:if test="normalize-space(/tif22:OI22/tif22:ORG/tif22:Org.ID_TYPE_ORG)!='' ">
                <tif:ControlledVocabulary>
                    <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:ORG/tif22:Org.ID_TYPE_ORG)"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Entre_org',$code22)"/></xsl:variable>
                    <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:ControlledVocabulary>
            </xsl:if>
        </xsl:if>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_TYPE)='RECEP' ">        
            <xsl:if test="normalize-space(/tif22:OI22/tif22:ORG/tif22:Org.ID_TYPE_ORG)!='' ">
                <tif:ControlledVocabulary>
                    <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:ORG/tif22:Org.ID_TYPE_ORG)"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Recep_org',$code22)"/></xsl:variable>
                    <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:ControlledVocabulary>
            </xsl:if>
        </xsl:if>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_TYPE)='PRIVE' ">        
            <xsl:if test="normalize-space(/tif22:OI22/tif22:ORG/tif22:Org.ID_TYPE_ORG)!='' ">
                <tif:ControlledVocabulary>
                    <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:ORG/tif22:Org.ID_TYPE_ORG)"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Prive_org',$code22)"/></xsl:variable>
                    <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:ControlledVocabulary>
            </xsl:if>
        </xsl:if>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_TYPE)='INSTI' ">        
            <xsl:if test="normalize-space(/tif22:OI22/tif22:ORG/tif22:Org.ID_TYPE_ORG)!='' ">
                <tif:ControlledVocabulary>
                    <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:ORG/tif22:Org.ID_TYPE_ORG)"/>
                    <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Insti_org',$code22)"/></xsl:variable>
                    <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="thes:getLibelle30($code30)"/>
                </tif:ControlledVocabulary>
            </xsl:if>
        </xsl:if>
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ORG/tif22:Org.DESCOM)!='' ">
            <dc:description><xsl:value-of select="/tif22:OI22/tif22:ORG/tif22:Org.DESCOM"/></dc:description>
        </xsl:if>
    </xsl:template>
    <!-- ============== -->
    <!-- Bordereaux : MUL -->
    <!-- ============== -->
    <xsl:template name="Mod_DC_MUL">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_TYPE)!='' ">
            <tif:ControlledVocabulary>
                <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_TYPE)"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Type_mul',$code22)"/></xsl:variable>
                <xsl:attribute name="code"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:value-of select="thes:getLibelle30($code30)"/>
            </tif:ControlledVocabulary>
        </xsl:if>
    </xsl:template>
    <!-- -->
</xsl:stylesheet>
