<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns:tif22="http://www.tourinfrance.net/tourinfrance22/"
    xmlns:thes="tif.tools.ThesaurusReader" extension-element-prefixes="thes">
    <xsl:output encoding="utf-8" indent="yes" version="1.0" method="xml"/>
    <!-- Module Description Complementaire ========================================================-->
    <!--
    <tif:DescriptionsComplementaires id="TODO">
        <tif:DetailDescriptionComplementaire id="TODO" type="TODO" libelle="TODO" xml:lang="FR" >
            <tif:Description type="TODO"  libelle="TODO" xml:lang="FR">DetailDescription</tif:Description>
            <tif:Description type="TODO"  libelle="TODO" xml:lang="FR">DetailDescription</tif:Description>
        </tif:DetailDescriptionComplementaire>
        <tif:DetailDescriptionComplementaire id="TODO" type="TODO" libelle="TODO" xml:lang="FR" >
            <tif:Description type="TODO"  libelle="TODO" xml:lang="FR">DetailDescription</tif:Description>
            <tif:Description type="TODO"  libelle="TODO" xml:lang="FR">DetailDescription</tif:Description>
        </tif:DetailDescriptionComplementaire>
    </tif:DescriptionsComplementaires>
    -->
    <xsl:template name="Mod_Descriptions_Complementaires">
        <xsl:variable name="v_objettour">
            <xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:ID_OBJETTOUR"/>
        </xsl:variable>
        <tif:DescriptionsComplementaires>
            <xsl:choose>
                <xsl:when test="$v_objettour='HOT' ">
                    <xsl:call-template name="Mod_Description_Complementaire_HOT"/>
                </xsl:when>
                <xsl:when test="$v_objettour='HPA' ">
                    <xsl:call-template name="Mod_Description_Complementaire_HPA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='HLO' ">
                    <xsl:call-template name="Mod_Description_Complementaire_HLO"/>
                </xsl:when>
                <xsl:when test="$v_objettour='RES' ">
                    <xsl:call-template name="Mod_Description_Complementaire_RES"/>
                </xsl:when>
                <xsl:when test="$v_objettour='FMA' ">
                    <xsl:call-template name="Mod_Description_Complementaire_FMA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='PNA' ">
                    <xsl:call-template name="Mod_Description_Complementaire_PNA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='PCU' ">
                    <xsl:call-template name="Mod_Description_Complementaire_PCU"/>
                </xsl:when>
                <xsl:when test="$v_objettour='DEG' ">
                    <xsl:call-template name="Mod_Description_Complementaire_DEG"/>
                </xsl:when>
                <xsl:when test="$v_objettour='LOI' ">
                    <xsl:call-template name="Mod_Description_Complementaire_LOI"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ASC' ">
                    <xsl:call-template name="Mod_Description_Complementaire_ASC"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ITI' ">
                    <xsl:call-template name="Mod_Description_Complementaire_ITI"/>
                </xsl:when>
                <xsl:when test="$v_objettour='VIL' ">
                    <xsl:call-template name="Mod_Description_Complementaire_VIL"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ORG' ">
                    <xsl:call-template name="Mod_Description_Complementaire_ORG"/>
                </xsl:when>
                <xsl:when test="$v_objettour='MUL' ">
                    <xsl:call-template name="Mod_Description_Complementaire_MUL"/>
                </xsl:when>
            </xsl:choose>
        </tif:DescriptionsComplementaires>
        <!-- -->
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : HOT -->
    <!-- ============= -->
    <!--Ouverture accueil  -->
    <xsl:template name="Mod_Description_Complementaire_HOT">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:HOT/tif22:Hot.IDCOMPL) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.05</xsl:attribute>
                <!-- Identification -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.05')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description>
                    <xsl:attribute name="type">16.02.09</xsl:attribute>
                    <!-- Informations complémentaires -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.09')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:HOT/tif22:Hot.IDCOMPL)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:HOT/tif22:Hot.ACCUEILCOMPL) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.03</xsl:attribute>
                <!-- Complément -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.03')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description xml:lang="fr">
                    <xsl:attribute name="type">16.02.01</xsl:attribute>
                    <!-- Accueil -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.01')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:HOT/tif22:Hot.ACCUEILCOMPL)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : HPA -->
    <!-- ============= -->
    <xsl:template name="Mod_Description_Complementaire_HPA">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.IDCOMPL) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.05</xsl:attribute>
                <!-- Identification -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.05')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description>
                    <xsl:attribute name="type">16.02.09</xsl:attribute>
                    <!-- Informations complémentaires -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.09')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.IDCOMPL)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.ACCUEILCOMPL) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.03</xsl:attribute>
                <!-- Complément -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.03')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description xml:lang="fr">
                    <xsl:attribute name="type">16.02.01</xsl:attribute>
                    <!-- Accueil -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.01')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.ACCUEILCOMPL)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : HLO -->
    <!-- ============= -->
    <xsl:template name="Mod_Description_Complementaire_HLO">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.IDCOMPL) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.05</xsl:attribute>
                <!-- Identification -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.05')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description>
                    <xsl:attribute name="type">16.02.09</xsl:attribute>
                    <!-- Informations complémentaires -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.09')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.IDCOMPL)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.ACCUEILCOMPL) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.03</xsl:attribute>
                <!-- Complément -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.03')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description xml:lang="fr">
                    <xsl:attribute name="type">16.02.01</xsl:attribute>
                    <!-- Accueil -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.01')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:HLO/tif22:Hlo.ACCUEILCOMPL)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : RES -->
    <!-- ============= -->
    <xsl:template name="Mod_Description_Complementaire_RES">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:RES/tif22:Res.IDCOMPL) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.05</xsl:attribute>
                <!-- Identification -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.05')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description>
                    <xsl:attribute name="type">16.02.09</xsl:attribute>
                    <!-- Informations complémentaires -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.09')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:RES/tif22:Res.IDCOMPL)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:RES/tif22:Res.ACCUEILCOMPL) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.03</xsl:attribute>
                <!-- Complément -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.03')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description xml:lang="fr">
                    <xsl:attribute name="type">16.02.01</xsl:attribute>
                    <!-- Accueil -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.01')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:RES/tif22:Res.ACCUEILCOMPL)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : FMA -->
    <!-- ============= -->
    <xsl:template name="Mod_Description_Complementaire_FMA">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:FMA/tif22:Fma.SECONDAIRE) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.03</xsl:attribute>
                <!-- Complément -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.03')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description>
                    <xsl:attribute name="type">16.02.05</xsl:attribute>
                    <!-- Evénementiel -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.05')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:FMA/tif22:Fma.SECONDAIRE)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:FMA/tif22:Fma.IDCOMPL) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.05</xsl:attribute>
                <!-- Identification -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.05')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description>
                    <xsl:attribute name="type">16.02.09</xsl:attribute>
                    <!-- Informations complémentaires -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.09')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:FMA/tif22:Fma.IDCOMPL)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:FMA/tif22:Fma.ACCUEILCOMPL) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.03</xsl:attribute>
                <!-- Complément -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.03')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description xml:lang="fr">
                    <xsl:attribute name="type">16.02.01</xsl:attribute>
                    <!-- Accueil -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.01')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:FMA/tif22:Fma.ACCUEILCOMPL)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:FMA/tif22:Fma.RSRVCOMPL) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.03</xsl:attribute>
                <!-- Complément -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.03')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description xml:lang="fr">
                    <xsl:attribute name="type">16.02.26</xsl:attribute>
                    <!-- Réservations -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.26')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:FMA/tif22:Fma.RSRVCOMPL)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : PNA -->
    <!-- ============= -->
    <xsl:template name="Mod_Description_Complementaire_PNA">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.IDCOMPL) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.05</xsl:attribute>
                <!-- Identification -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.05')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description>
                    <xsl:attribute name="type">16.02.09</xsl:attribute>
                    <!-- Informations complémentaires -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.09')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.IDCOMPL)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.ACCUEILCOMPL) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.03</xsl:attribute>
                <!-- Complément -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.03')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description xml:lang="fr">
                    <xsl:attribute name="type">16.02.01</xsl:attribute>
                    <!-- Accueil -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.01')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.ACCUEILCOMPL)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.COMPLEMENT_VISIT) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type"/>
                <!-- Complément -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.03')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description xml:lang="fr">
                    <xsl:attribute name="type">16.02.22</xsl:attribute>
                    <!-- Visites -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.22')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:PNA/tif22:Pna.COMPLEMENT_VISIT)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : PCU -->
    <!-- ============= -->
    <xsl:template name="Mod_Description_Complementaire_PCU">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.IDCOMPL) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.05</xsl:attribute>
                <!-- Identification -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.05')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description>
                    <xsl:attribute name="type">16.02.09</xsl:attribute>
                    <!-- Informations complémentaires -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.09')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.IDCOMPL)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.ACCUEILCOMPL) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.03</xsl:attribute>
                <!-- Complément -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.03')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description xml:lang="fr">
                    <xsl:attribute name="type">16.02.01</xsl:attribute>
                    <!-- Accueil -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.01')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.ACCUEILCOMPL)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.COMPLEMENT_VISIT) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type"/>
                <!-- Complément -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.03')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description xml:lang="fr">
                    <xsl:attribute name="type">16.02.22</xsl:attribute>
                    <!-- Visites -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.22')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:PCU/tif22:Pcu.COMPLEMENT_VISIT)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : DEG -->
    <!-- ============= -->
    <xsl:template name="Mod_Description_Complementaire_DEG">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IDCOMPL) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.05</xsl:attribute>
                <!-- Identification -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.05')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description>
                    <xsl:attribute name="type">16.02.09</xsl:attribute>
                    <!-- Informations complémentaires -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.09')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.IDCOMPL)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.ACCUEILCOMPL) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.03</xsl:attribute>
                <!-- Complément -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.03')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description xml:lang="fr">
                    <xsl:attribute name="type">16.02.01</xsl:attribute>
                    <!-- Accueil -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.01')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.ACCUEILCOMPL)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.COMPLEMENT_VISIT) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type"/>
                <!-- Complément -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.03')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description xml:lang="fr">
                    <xsl:attribute name="type">16.02.22</xsl:attribute>
                    <!-- Visites -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.22')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:DEG/tif22:Deg.COMPLEMENT_VISIT)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : LOI -->
    <!-- ============= -->
    <xsl:template name="Mod_Description_Complementaire_LOI">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:LOI/tif22:Loi.IDCOMPL) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.05</xsl:attribute>
                <!-- Identification -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.05')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description>
                    <xsl:attribute name="type">16.02.09</xsl:attribute>
                    <!-- Informations complémentaires -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.09')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:LOI/tif22:Loi.IDCOMPL)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:LOI/tif22:Loi.ACCUEILCOMPL) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.03</xsl:attribute>
                <!-- Complément -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.03')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description xml:lang="fr">
                    <xsl:attribute name="type">16.02.01</xsl:attribute>
                    <!-- Accueil -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.01')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:LOI/tif22:Loi.ACCUEILCOMPL)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : ASC -->
    <!-- ============= -->
    <xsl:template name="Mod_Description_Complementaire_ASC">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ASC/tif22:Asc.IDCOMPL) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.05</xsl:attribute>
                <!-- Identification -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.05')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description>
                    <xsl:attribute name="type">16.02.09</xsl:attribute>
                    <!-- Informations complémentaires -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.09')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:ASC/tif22:Asc.IDCOMPL)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ASC/tif22:Asc.ACCUEILCOMPL) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.03</xsl:attribute>
                <!-- Complément -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.03')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description xml:lang="fr">
                    <xsl:attribute name="type">16.02.01</xsl:attribute>
                    <!-- Accueil -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.01')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:ASC/tif22:Asc.ACCUEILCOMPL)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : ITI -->
    <!-- ============= -->
    <xsl:template name="Mod_Description_Complementaire_ITI">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ITI/tif22:Iti.IDCOMPL) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.05</xsl:attribute>
                <!-- Identification -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.05')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description>
                    <xsl:attribute name="type">16.02.09</xsl:attribute>
                    <!-- Informations complémentaires -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.09')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:ITI/tif22:Iti.IDCOMPL)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ITI/tif22:Iti.ACCUEILCOMPL) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.03</xsl:attribute>
                <!-- Complément -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.03')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description xml:lang="fr">
                    <xsl:attribute name="type">16.02.01</xsl:attribute>
                    <!-- Accueil -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.01')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:ITI/tif22:Iti.ACCUEILCOMPL)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : VIL -->
    <!-- ============= -->
    <xsl:template name="Mod_Description_Complementaire_VIL">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil.IDCOMPL) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.05</xsl:attribute>
                <!-- Identification -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.05')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description>
                    <xsl:attribute name="type">16.02.09</xsl:attribute>
                    <!-- Informations complémentaires -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.09')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil.IDCOMPL)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil.ACCUEILCOMPL) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.03</xsl:attribute>
                <!-- Complément -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.03')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description xml:lang="fr">
                    <xsl:attribute name="type">16.02.01</xsl:attribute>
                    <!-- Accueil -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.01')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil.ACCUEILCOMPL)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : ORG -->
    <!-- ============= -->
    <xsl:template name="Mod_Description_Complementaire_ORG">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ORG/tif22:Org.IDCOMPL) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.05</xsl:attribute>
                <!-- Identification -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.05')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description>
                    <xsl:attribute name="type">16.02.09</xsl:attribute>
                    <!-- Informations complémentaires -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.09')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:ORG/tif22:Org.IDCOMPL)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ORG/tif22:Org.ACCUEILCOMPL) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.03</xsl:attribute>
                <!-- Complément -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.03')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description xml:lang="fr">
                    <xsl:attribute name="type">16.02.01</xsl:attribute>
                    <!-- Accueil -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.01')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:ORG/tif22:Org.ACCUEILCOMPL)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
        <!-- -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:ORG/tif22:Org5_serv.SERVCOMPL) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.03</xsl:attribute>
                <!-- Complément -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.03')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description xml:lang="fr">
                    <xsl:attribute name="type">16.02.25</xsl:attribute>
                    <!-- Services -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.25')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:ORG/tif22:Org5_serv.SERVCOMPL)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
    </xsl:template>
    <!-- ============== -->
    <!-- Bordereaux : MUL -->
    <!-- ============== -->
    <xsl:template name="Mod_Description_Complementaire_MUL">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:MUL/tif22:Mul.COMPLEMENT_COM) != '' ">
            <tif:DetailDescriptionComplementaire>
                <xsl:attribute name="type">16.01.03</xsl:attribute>
                <!-- Complément -->
                <xsl:attribute name="libelle">
                    <xsl:value-of select="thes:getLibelle30('16.01.03')"/>
                </xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <tif:Description>
                    <xsl:attribute name="type">16.02.09</xsl:attribute>
                    <!-- Informations complémentaires -->
                    <xsl:attribute name="libelle">
                        <xsl:value-of select="thes:getLibelle30('16.02.09')"/>
                    </xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="normalize-space(/tif22:OI22/tif22:MUL/tif22:Mul.COMPLEMENT_COM)"/>
                </tif:Description>
            </tif:DetailDescriptionComplementaire>
        </xsl:if>
    </xsl:template>
</xsl:stylesheet>
