<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns:tif22="http://www.tourinfrance.net/tourinfrance22/"
    xmlns:thes="tif.tools.ThesaurusReader" extension-element-prefixes="thes">
    <xsl:output encoding="utf-8" indent="yes" version="1.0" method="xml"/>
    <!-- Module Informations Legales ========================================================
    <tif:InformationsLegales id="TODO" >
        <tif:ModeGestion type="TODO" xml:lang="FR">ModeGestion</tif:ModeGestion>
        <tif:SIRET>SIRET</tif:SIRET>
        <tif:APE_NAF>APE_</tif:APE_NAF>
        <tif:RCS>RCS</tif:RCS>
        <tif:NumAgrementLicence>NumAgrementLicence</tif:NumAgrementLicence>
    </tif:InformationsLegales>
    -->
    <xsl:template name="Mod_InformationsLegales">
        <xsl:variable name="v_objettour">
            <xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:ID_OBJETTOUR"/>
        </xsl:variable>
        <tif:InformationsLegales>
            <!-- -->
            <xsl:call-template name="Mod_InformationsLegales_Common"/>
            <!-- -->
            <xsl:choose>
                <xsl:when test="$v_objettour='HPA' ">
                    <xsl:call-template name="Mod_InformationsLegales_HPA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='VIL' ">
                    <xsl:call-template name="Mod_InformationsLegales_VIL"/>
                </xsl:when>
            </xsl:choose>
            <!-- -->
        </tif:InformationsLegales>
    </xsl:template>
    <!-- ==================================================================== -->
    <!-- Bordereaux : tous (HOT HPA HLO RES FMA PNA PCU DEG LOI ASC ITI VIL ORG MUL )  -->
    <!-- ==================================================================== -->
    <xsl:template name="Mod_InformationsLegales_Common">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:SIRET)!='' ">
            <tif:SIRET>
                <xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:SIRET"/>
            </tif:SIRET>
        </xsl:if>
        <!-- ============= -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:APE)!='' ">
            <tif:APE_NAF>
                <xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:APE"/>
            </tif:APE_NAF>
        </xsl:if>
        <!-- ============= -->
        <xsl:if test="normalize-space(/tif22:OI22/tif22:COMMON/tif22:RCS)!='' ">
            <tif:RCS>
                <xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:RCS"/>
            </tif:RCS>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : HPA -->
    <!-- ============= -->
    <xsl:template name="Mod_InformationsLegales_HPA">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.ID_GEST_CAM)!='' ">
            <tif:ModeGestion>
                <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:HPA/tif22:Hpa.ID_GEST_CAM)"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Gest_hpa',$code22)"/></xsl:variable>
                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:value-of select="thes:getLibelle30($code30)"/>
            </tif:ModeGestion>
        </xsl:if>
    </xsl:template>
    <!-- ============= -->
    <!-- Bordereaux : VIL -->
    <!-- ============= -->
    <xsl:template name="Mod_InformationsLegales_VIL">
        <xsl:if test="normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil.ID_GEST_VIL)!='' ">
            <tif:ModeGestion>
                <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:VIL/tif22:Vil.ID_GEST_VIL)"/>
                <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('Gest_vil',$code22)"/></xsl:variable>
                <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:value-of select="thes:getLibelle30($code30)"/>
            </tif:ModeGestion>
        </xsl:if>
    </xsl:template>
    <!-- -->
</xsl:stylesheet>
