<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns:sy="http://purl.org/rss/1.0/modules/syndication/" xmlns:tif22="http://www.tourinfrance.net/tourinfrance22/"
    xmlns:thes="tif.tools.ThesaurusReader" extension-element-prefixes="thes">
    <xsl:output encoding="utf-8" indent="yes" version="1.0" method="xml"/>
    <!-- Module Itineraires ========================================================
    <tif:Itineraires id="TODO">
        <tif:DetailItineraire id="TODO" type="TODO" libelle="TODO" xml:lang="FR" >
            <tif:Denivele type="TODO" libelle="TODO" xml:lang="FR" >111</tif:Denivele>
            <tif:Distance unite="TODO" libelle="TODO" xml:lang="FR" >111</tif:Distance>
            <tif:AltitudeMini>111</tif:AltitudeMini>
            <tif:AltitudeMaxi>111</tif:AltitudeMaxi>
            <tif:Duree unite="TODO" libelle="TODO" xml:lang="FR" >111</tif:Duree>
            <tif:Zone type="TODO" idref="TODO"/>
            <tif:DescriptionItineraire xml:lang="FR">DescriptionItineraire</tif:DescriptionItineraire>
        </tif:DetailItineraire>
        <tif:DetailItineraire id="TODO" type="TODO" libelle="TODO" xml:lang="FR" >
            <tif:Denivele type="TODO" libelle="TODO" xml:lang="FR" >111</tif:Denivele>
            <tif:Distance unite="TODO" libelle="TODO" xml:lang="FR" >111</tif:Distance>
            <tif:AltitudeMini>111</tif:AltitudeMini>
            <tif:AltitudeMaxi>111</tif:AltitudeMaxi>
            <tif:Duree unite="TODO" libelle="TODO" xml:lang="FR" >111</tif:Duree>
            <tif:Zone type="TODO" idref="TODO"/>
            <tif:DescriptionItineraire xml:lang="FR">DescriptionItineraire</tif:DescriptionItineraire>
        </tif:DetailItineraire>
    </tif:Itineraires>
    -->
    <xsl:template name="Mod_Itineraires">
        <xsl:variable name="v_objettour">
            <xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:ID_OBJETTOUR"/>
        </xsl:variable>
        <tif:Itineraires>
            <xsl:choose>
                <xsl:when test="$v_objettour='ITI' ">
                    <xsl:call-template name="Mod_Itineraires_ITI"/>
                </xsl:when>
            </xsl:choose>
        </tif:Itineraires>
    </xsl:template>
    <!-- -->
    <xsl:template name="Mod_Itineraires_ITI">
        <tif:Itineraires>
            <tif:DetailItineraires>
                <xsl:attribute name="type">18.02.01</xsl:attribute> <!-- Circuit -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('18.02.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <!-- Denivele -->
                <xsl:if test="normalize-space(/tif22:OI22/tif22:ITI/tif22:Iti.DENIVELE) != '' ">
                    <tif:Denivele>
                        <xsl:attribute name="type">18.01.01</xsl:attribute> <!-- Cumulé -->
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('18.01.01')"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="normalize-space(/tif22:OI22/tif22:ITI/tif22:Iti.DENIVELE)"/>
                    </tif:Denivele>
                </xsl:if>
                <!--  Distance en km -->
                <xsl:if test="normalize-space(/tif22:OI22/tif22:ITI/tif22:Iti.DISTANCE) != '' ">
                    <tif:Distance>
                        <xsl:attribute name="unite">01.03.02.01</xsl:attribute> <!-- km -->
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('01.03.02.01')"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <xsl:value-of select="normalize-space(/tif22:OI22/tif22:ITI/tif22:Iti.DISTANCE)"/>
                    </tif:Distance>
                </xsl:if>
                <!--  Durée du parcours -->
                <xsl:if test="normalize-space(/tif22:OI22/tif22:ITI/tif22:Iti.DUREE) != '' ">
                    <tif:Duree>
                        <xsl:attribute name="unite">01.03.03.04</xsl:attribute> <!-- jour -->
                        <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('01.03.03.04')"/></xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                         <xsl:value-of select="normalize-space(/tif22:OI22/tif22:ITI/tif22:Iti.DUREE)"/>
                    </tif:Duree>
                </xsl:if>
            </tif:DetailItineraires>
        </tif:Itineraires>
    </xsl:template>
</xsl:stylesheet>
