<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns:tif22="http://www.tourinfrance.net/tourinfrance22/"
    xmlns:thes="tif.tools.ThesaurusReader" extension-element-prefixes="thes">
    <xsl:output encoding="utf-8" indent="yes" version="1.0" method="xml"/>
    <!-- Module Langues ========================================================-->
    <!--
    <tif:Langues id="TODO">
        <tif:Usage id="TODO" type="TODO" libelle="TODO" xml:lang="FR" >
            <tif:Langue xml:lang="FR">Français</tif:Langue>
            <tif:Langue xml:lang="ES">Espagnol</tif:Langue>
        </tif:Usage>
        <tif:Usage id="TODO" type="TODO" libelle="TODO" xml:lang="FR" >
            <tif:Langue xml:lang="FR">Français</tif:Langue>
            <tif:Langue xml:lang="ES">Espagnol</tif:Langue>
        </tif:Usage>
    </tif:Langues>     
    -->
    <xsl:template name="Mod_Langues">
        <xsl:variable name="v_objettour">
            <xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:ID_OBJETTOUR"/>
        </xsl:variable>
        <tif:Langues>
            <xsl:choose>
                <xsl:when test="$v_objettour='HOT' ">
                    <xsl:call-template name="Mod_Langues_HOT"/>
                </xsl:when>
                <xsl:when test="$v_objettour='HPA' ">
                    <xsl:call-template name="Mod_Langues_HPA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='HLO' ">
                    <xsl:call-template name="Mod_Langues_HLO"/>
                </xsl:when>
                <xsl:when test="$v_objettour='RES' ">
                    <xsl:call-template name="Mod_Langues_RES"/>
                </xsl:when>
                <xsl:when test="$v_objettour='FMA' ">
                    <xsl:call-template name="Mod_Langues_FMA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='PNA' ">
                    <xsl:call-template name="Mod_Langues_PNA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='PCU' ">
                    <xsl:call-template name="Mod_Langues_PCU"/>
                </xsl:when>
                <xsl:when test="$v_objettour='DEG' ">
                    <xsl:call-template name="Mod_Langues_DEG"/>
                </xsl:when>
                <xsl:when test="$v_objettour='LOI' ">
                    <xsl:call-template name="Mod_Langues_LOI"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ASC' ">
                    <xsl:call-template name="Mod_Langues_ASC"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ITI' ">
                    <xsl:call-template name="Mod_Langues_ITI"/>
                </xsl:when>
                <xsl:when test="$v_objettour='VIL' ">
                    <xsl:call-template name="Mod_Langues_VIL"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ORG' ">
                    <xsl:call-template name="Mod_Langues_ORG"/>
                </xsl:when>
            </xsl:choose>
            <!-- -->
        </tif:Langues>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : HOT -->
    <!-- ============== -->
    <xsl:template name="Mod_Langues_HOT">
        <xsl:if test="count(/tif22:OI22/tif22:HOT/tif22:Hot4_parle.ID_PARLE) &gt;0 or count(/tif22:OI22/tif22:HOT/tif22:Hot4_ecrit.ID_ECRIT) &gt;0 ">
            <tif:Usage>
                <xsl:attribute name="type">11.01.01</xsl:attribute> <!-- Accueil -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:HOT/tif22:Hot4_parle.ID_PARLE">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
            <!-- -->
            <tif:Usage>
                <xsl:attribute name="type">11.01.05</xsl:attribute> <!-- Documentation -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:HOT/tif22:Hot4_ecrit.ID_ECRIT">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
        </xsl:if>
        <!-- -->
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : HPA -->
    <!-- ============== -->
    <xsl:template name="Mod_Langues_HPA">
        <xsl:if test="count(/tif22:OI22/tif22:HPA/tif22:Hpa4_parle.ID_PARLE) &gt;0 or count(/tif22:OI22/tif22:HPA/tif22:Hpa4_ecrit.ID_ECRIT) &gt;0 ">
            <tif:Usage>
                <xsl:attribute name="type">11.01.01</xsl:attribute> <!-- Accueil -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:HPA/tif22:Hpa4_parle.ID_PARLE">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
            <!-- -->
            <tif:Usage>
                <xsl:attribute name="type">11.01.05</xsl:attribute> <!-- Documentation -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:HPA/tif22:Hpa4_ecrit.ID_ECRIT">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : HLO -->
    <!-- ============== -->
    <xsl:template name="Mod_Langues_HLO">
        <xsl:if test="count(/tif22:OI22/tif22:HLO/tif22:Hlo4_parle.ID_PARLE) &gt;0 or count(/tif22:OI22/tif22:HLO/tif22:Hlo4_ecrit.ID_ECRIT) &gt;0 ">
            <tif:Usage>
                <xsl:attribute name="type">11.01.01</xsl:attribute> <!-- Accueil -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:HLO/tif22:Hlo4_parle.ID_PARLE">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
            <!-- -->
            <tif:Usage>
                <xsl:attribute name="type">11.01.05</xsl:attribute> <!-- Documentation -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:HLO/tif22:Hlo4_ecrit.ID_ECRIT">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : RES -->
    <!-- ============== -->
    <xsl:template name="Mod_Langues_RES">
        <xsl:if test="count(/tif22:OI22/tif22:RES/tif22:Res4_parle.ID_PARLE) &gt;0 or count(/tif22:OI22/tif22:RES/tif22:Res4_ecrit.ID_ECRIT) &gt;0 ">
            <tif:Usage>
                <xsl:attribute name="type">11.01.01</xsl:attribute> <!-- Accueil -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:RES/tif22:Res4_parle.ID_PARLE">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
            <!-- -->
            <tif:Usage>
                <xsl:attribute name="type">11.01.05</xsl:attribute> <!-- Documentation -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:RES/tif22:Res4_ecrit.ID_ECRIT">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : FMA -->
    <!-- ============== -->
    <xsl:template name="Mod_Langues_FMA">
        <xsl:if test="count(/tif22:OI22/tif22:FMA/tif22:Fma4_parle.ID_PARLE) &gt;0 or count(/tif22:OI22/tif22:FMA/tif22:Fma4_ecrit.ID_ECRIT) &gt;0 ">
            <tif:Usage>
                <xsl:attribute name="type">11.01.01</xsl:attribute> <!-- Accueil -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:FMA/tif22:Fma4_parle.ID_PARLE">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
            <!-- -->
            <tif:Usage>
                <xsl:attribute name="type">11.01.05</xsl:attribute> <!-- Documentation -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:FMA/tif22:Fma4_ecrit.ID_ECRIT">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
            <!-- -->
            <xsl:comment>==</xsl:comment>
            <tif:Usage>
                <xsl:attribute name="type">11.01.10</xsl:attribute> <!-- Réservation -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.10')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:FMA/tif22:Fma3_parle.ID_PARLE">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
            <!-- -->
            <tif:Usage>
                <xsl:attribute name="type">11.01.05</xsl:attribute> <!-- Documentation -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:FMA/tif22:Fma3_ecrit.ID_ECRIT">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : PNA -->
    <!-- ============== -->
    <xsl:template name="Mod_Langues_PNA">
        <xsl:if test="count(/tif22:OI22/tif22:PNA/tif22:Pna4_parle.ID_PARLE) &gt;0  or count(/tif22:OI22/tif22:PNA/tif22:Pna4_ecrit.ID_ECRIT) &gt;0 or count(/tif22:OI22/tif22:PNA/tif22:Pna6_parle.ID_PARLE) &gt;0         or count(/tif22:OI22/tif22:PNA/tif22:Pna6_info.ID_INFO) &gt; 0         or count(/tif22:OI22/tif22:PNA/tif22:Pna6_audi.ID_AUDI) &gt;0                  ">
            <xsl:if test="count(/tif22:OI22/tif22:PNA/tif22:Pna4_parle.ID_PARLE) &gt;0 or count(/tif22:OI22/tif22:PNA/tif22:Pna4_ecrit.ID_ECRIT) &gt;0 ">
                <tif:Usage>
                    <xsl:attribute name="type">11.01.01</xsl:attribute> <!-- Accueil -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.01')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:for-each select="/tif22:OI22/tif22:PNA/tif22:Pna4_parle.ID_PARLE">
                        <xsl:if test="normalize-space(.) != '' ">
                            <tif:Langue>
                                <xsl:attribute name="xml:lang">
                                    <xsl:value-of select="normalize-space(.)"/>
                                </xsl:attribute>
                            </tif:Langue>
                        </xsl:if>
                    </xsl:for-each>
                </tif:Usage>
                <!-- -->
                <tif:Usage>
                <xsl:attribute name="type">11.01.05</xsl:attribute> <!-- Documentation -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:for-each select="/tif22:OI22/tif22:PNA/tif22:Pna4_ecrit.ID_ECRIT">
                        <xsl:if test="normalize-space(.) != '' ">
                            <tif:Langue>
                                <xsl:attribute name="xml:lang">
                                    <xsl:value-of select="normalize-space(.)"/>
                                </xsl:attribute>
                            </tif:Langue>
                        </xsl:if>
                    </xsl:for-each>
                </tif:Usage>
            </xsl:if>
            <!-- -->
            <xsl:if test="count(/tif22:OI22/tif22:PNA/tif22:Pna6_parle.ID_PARLE) &gt;0">
                <tif:Usage>
                    <xsl:attribute name="type">11.01.09</xsl:attribute> <!-- Visite -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.09')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:for-each select="/tif22:OI22/tif22:PNA/tif22:Pna6_parle.ID_PARLE">
                        <xsl:if test="normalize-space(.) != '' ">
                            <tif:Langue>
                                <xsl:attribute name="xml:lang">
                                    <xsl:value-of select="normalize-space(.)"/>
                                </xsl:attribute>
                            </tif:Langue>
                        </xsl:if>
                    </xsl:for-each>
                </tif:Usage>
            </xsl:if>
            <!-- -->
            <xsl:if test="count(/tif22:OI22/tif22:PNA/tif22:Pna6_info.ID_INFO) &gt; 0">
                <tif:Usage>
                    <xsl:attribute name="type">11.01.07</xsl:attribute> <!-- Panneaux d'informations -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.07')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:for-each select="/tif22:OI22/tif22:PNA/tif22:Pna6_info.ID_INFO">
                        <xsl:if test="normalize-space(.) != '' ">
                            <tif:Langue>
                                <xsl:attribute name="xml:lang">
                                    <xsl:value-of select="normalize-space(.)"/>
                                </xsl:attribute>
                            </tif:Langue>
                        </xsl:if>
                    </xsl:for-each>
                </tif:Usage>
            </xsl:if>
            <!-- -->
            <xsl:if test="count(/tif22:OI22/tif22:PNA/tif22:Pna6_audi.ID_AUDI) &gt;0">
                <tif:Usage>
                <xsl:attribute name="type">11.01.03</xsl:attribute> <!-- Audio guide/baladeur -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.03')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:PNA/tif22:Pna6_audi.ID_AUDI">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
                </tif:Usage>
            </xsl:if>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : PCU -->
    <!-- ============== -->
    <xsl:template name="Mod_Langues_PCU">
        <xsl:if test="count(/tif22:OI22/tif22:PCU/tif22:Pcu4_parle.ID_PARLE) &gt;0 or count(/tif22:OI22/tif22:PCU/tif22:Pcu4_ecrit.ID_ECRIT) &gt;0 ">
            <xsl:comment>==</xsl:comment>
            <xsl:comment>Accueil</xsl:comment>
            <tif:Usage>
                <xsl:attribute name="type">11.01.01</xsl:attribute> <!-- Accueil -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:PCU/tif22:Pcu4_parle.ID_PARLE">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
            <!-- -->
            <tif:Usage>
                <xsl:attribute name="type">11.01.05</xsl:attribute> <!-- Documentation -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:PCU/tif22:Pcu4_ecrit.ID_ECRIT">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
            <!-- -->
            <tif:Usage>
                <xsl:attribute name="type">11.01.09</xsl:attribute> <!-- Visite -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.09')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:PCU/tif22:Pcu6_parle.ID_PARLE">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
            <!-- -->
            <tif:Usage>
                <xsl:attribute name="type">11.01.07</xsl:attribute> <!-- Panneaux d'informations -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.07')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:PCU/tif22:Pcu6_pann.ID_INFO">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
            <!-- -->
            <tif:Usage>
                <xsl:attribute name="type">11.01.03</xsl:attribute> <!-- Audio guide/baladeur -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.03')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:PCU/tif22:Pcu6_audio.ID_AUDI">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : DEG -->
    <!-- ============== -->
    <xsl:template name="Mod_Langues_DEG">
        <xsl:if test="count(/tif22:OI22/tif22:DEG/tif22:Deg4_parle.ID_PARLE) &gt;0 or count(/tif22:OI22/tif22:DEG/tif22:Deg4_ecrit.ID_ECRIT) &gt;0  or count(/tif22:OI22/tif22:DEG/tif22:Deg6_parle.ID_PARLE) &gt;0                   or count(/tif22:OI22/tif22:DEG/tif22:Deg6_pann.ID_INFO) &gt;0           or count(/tif22:OI22/tif22:DEG/tif22:Deg6_audio.ID_AUDI) &gt;0                              ">
            <tif:Usage>
                <xsl:attribute name="type">11.01.01</xsl:attribute> <!-- Accueil -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:DEG/tif22:Deg4_parle.ID_PARLE">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
            <!-- -->
            <tif:Usage>
                <xsl:attribute name="type">11.01.05</xsl:attribute> <!-- Documentation -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:DEG/tif22:Deg4_ecrit.ID_ECRIT">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
            <!-- -->
            <tif:Usage>
                <xsl:attribute name="type">11.01.09</xsl:attribute> <!-- Visite -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.09')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:DEG/tif22:Deg6_parle.ID_PARLE">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
            <!-- -->
            <tif:Usage>
                <xsl:attribute name="type">11.01.07</xsl:attribute> <!-- Panneaux d'informations -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.07')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:DEG/tif22:Deg6_pann.ID_INFO">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
            <!-- -->
            <tif:Usage>
                <xsl:attribute name="type">11.01.03</xsl:attribute> <!-- Audio guide/baladeur -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.03')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:DEG/tif22:Deg6_audio.ID_AUDI">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
        </xsl:if>
        <!-- -->
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : LOI -->
    <!-- ============= -->
    <xsl:template name="Mod_Langues_LOI">
        <xsl:if test="count(/tif22:OI22/tif22:LOI/tif22:Loi4_parle.ID_PARLE) &gt;0  or count(/tif22:OI22/tif22:LOI/tif22:Loi4_ecrit.ID_ECRIT) &gt;0  or count(/tif22:OI22/tif22:LOI/tif22:Loi6_parle.ID_PARLE) &gt;0          or count(/tif22:OI22/tif22:LOI/tif22:Loi6_pann.ID_INFO) &gt;0          or count(/tif22:OI22/tif22:LOI/tif22:Loi6_audio.ID_AUDI) &gt;0                                     ">
            <xsl:if test="count(/tif22:OI22/tif22:LOI/tif22:Loi4_parle.ID_PARLE) &gt;0  or count(/tif22:OI22/tif22:LOI/tif22:Loi4_ecrit.ID_ECRIT) &gt;0">
                <tif:Usage>
                    <xsl:attribute name="type">11.01.01</xsl:attribute> <!-- Accueil -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.01')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:for-each select="/tif22:OI22/tif22:LOI/tif22:Loi4_parle.ID_PARLE">
                        <xsl:if test="normalize-space(.) != '' ">
                            <tif:Langue>
                                <xsl:attribute name="xml:lang">
                                    <xsl:value-of select="normalize-space(.)"/>
                                </xsl:attribute>
                            </tif:Langue>
                        </xsl:if>
                    </xsl:for-each>
                </tif:Usage>
                <!-- -->
                <tif:Usage>
                    <xsl:attribute name="type">11.01.05</xsl:attribute> <!-- Documentation -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.05')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:for-each select="/tif22:OI22/tif22:LOI/tif22:Loi4_ecrit.ID_ECRIT">
                        <xsl:if test="normalize-space(.) != '' ">
                            <tif:Langue>
                                <xsl:attribute name="xml:lang">
                                    <xsl:value-of select="normalize-space(.)"/>
                                </xsl:attribute>
                           </tif:Langue>
                        </xsl:if>
                    </xsl:for-each>
                </tif:Usage>
            </xsl:if>
            <!-- -->
            <xsl:if test="count(/tif22:OI22/tif22:LOI/tif22:Loi6_parle.ID_PARLE) &gt; 0 ">
                <tif:Usage>
                    <xsl:attribute name="type">11.01.09</xsl:attribute> <!-- Visite -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.09')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:for-each select="/tif22:OI22/tif22:LOI/tif22:Loi6_parle.ID_PARLE">
                        <xsl:if test="normalize-space(.) != '' ">
                            <tif:Langue>
                                <xsl:attribute name="xml:lang">
                                    <xsl:value-of select="normalize-space(.)"/>
                                </xsl:attribute>
                            </tif:Langue>
                        </xsl:if>
                    </xsl:for-each>
                </tif:Usage>
            </xsl:if>
            <!-- -->
            <xsl:if test="count(/tif22:OI22/tif22:LOI/tif22:Loi6_pann.ID_INFO) &gt; 0">
                <tif:Usage>
                    <xsl:attribute name="type">11.01.07</xsl:attribute> <!-- Panneaux d'informations -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.07')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:for-each select="/tif22:OI22/tif22:LOI/tif22:Loi6_pann.ID_INFO">
                        <xsl:if test="normalize-space(.) != '' ">
                            <tif:Langue>
                                <xsl:attribute name="xml:lang">
                                    <xsl:value-of select="normalize-space(.)"/>
                                </xsl:attribute>
                            </tif:Langue>
                        </xsl:if>
                    </xsl:for-each>
                </tif:Usage>
            </xsl:if>
            <!-- -->
            <xsl:if test="count(/tif22:OI22/tif22:LOI/tif22:Loi6_audio.ID_AUDI) &gt; 0 ">
                <tif:Usage>
                    <xsl:attribute name="type">11.01.03</xsl:attribute> <!-- Audio guide/baladeur -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.03')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:for-each select="/tif22:OI22/tif22:LOI/tif22:Loi6_audio.ID_AUDI">
                        <xsl:if test="normalize-space(.) != '' ">
                            <tif:Langue>
                                <xsl:attribute name="xml:lang">
                                    <xsl:value-of select="normalize-space(.)"/>
                                </xsl:attribute>
                            </tif:Langue>
                        </xsl:if>
                    </xsl:for-each>
                </tif:Usage>
            </xsl:if>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : ASC -->
    <!-- ============== -->
    <xsl:template name="Mod_Langues_ASC">
        <xsl:if test="count(/tif22:OI22/tif22:ASC/tif22:Asc4_parle.ID_PARLE) &gt;0 or count(/tif22:OI22/tif22:ASC/tif22:Asc4_ecrit.ID_ECRIT) &gt;0 ">
            <tif:Usage>
                <xsl:attribute name="type">11.01.01</xsl:attribute> <!-- Accueil -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:ASC/tif22:Asc4_parle.ID_PARLE">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
            <!-- -->
            <tif:Usage>
                <xsl:attribute name="type">11.01.05</xsl:attribute> <!-- Documentation -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:ASC/tif22:Asc4_ecrit.ID_ECRIT">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : ITI -->
    <!-- ============= -->
    <xsl:template name="Mod_Langues_ITI">
        <xsl:if test="count(/tif22:OI22/tif22:ITI/tif22:Iti4_parle.ID_PARLE) &gt;0 or count(/tif22:OI22/tif22:ITI/tif22:Iti4_ecrit.ID_ECRIT) &gt;0 ">
            <tif:Usage>
                <xsl:attribute name="type">11.01.01</xsl:attribute> <!-- Accueil -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:ITI/tif22:Iti4_parle.ID_PARLE">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
            <!-- -->
            <tif:Usage>
                <xsl:attribute name="type">11.01.05</xsl:attribute> <!-- Documentation -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:ITI/tif22:Iti4_ecrit.ID_ECRIT">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : VIL -->
    <!-- ============= -->
    <xsl:template name="Mod_Langues_VIL">
        <xsl:if test="count(/tif22:OI22/tif22:VIL/tif22:Vil4_parle.ID_PARLE) &gt;0 or count(/tif22:OI22/tif22:VIL/tif22:Vil4_ecrit.ID_ECRIT) &gt;0 ">
            <tif:Usage>
                <xsl:attribute name="type">11.01.01</xsl:attribute> <!-- Accueil -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:VIL/tif22:Vil4_parle.ID_PARLE">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
            <!-- -->
            <tif:Usage>
                <xsl:attribute name="type">11.01.05</xsl:attribute> <!-- Documentation -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:VIL/tif22:Vil4_ecrit.ID_ECRIT">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============== -->
    <!-- Bordereaux : ORG -->
    <!-- ============== -->
    <xsl:template name="Mod_Langues_ORG">
        <xsl:if test="count(/tif22:OI22/tif22:ORG/tif22:Org4_parle.ID_PARLE) &gt;0 or count(/tif22:OI22/tif22:ORG/tif22:Org4_ecrit.ID_ECRIT) &gt;0 ">
            <tif:Usage>
                <xsl:attribute name="type">11.01.01</xsl:attribute> <!-- Accueil -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.01')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:ORG/tif22:Org4_parle.ID_PARLE">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
            <!-- -->
            <tif:Usage>
                <xsl:attribute name="type">11.01.05</xsl:attribute> <!-- Documentation -->
                <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('11.01.05')"/></xsl:attribute>
                <xsl:attribute name="xml:lang">fr</xsl:attribute>
                <xsl:for-each select="/tif22:OI22/tif22:ORG/tif22:Org4_ecrit.ID_ECRIT">
                    <xsl:if test="normalize-space(.) != '' ">
                        <tif:Langue>
                            <xsl:attribute name="xml:lang">
                                <xsl:value-of select="normalize-space(.)"/>
                            </xsl:attribute>
                        </tif:Langue>
                    </xsl:if>
                </xsl:for-each>
            </tif:Usage>
        </xsl:if>
    </xsl:template>
</xsl:stylesheet>
