<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns:tif22="http://www.tourinfrance.net/tourinfrance22/"
    xmlns:thes="tif.tools.ThesaurusReader" extension-element-prefixes="thes">
    <xsl:output encoding="utf-8" indent="yes" version="1.0" method="xml"/>
    <!-- Module Modes_Reservation ========================================================-->
    <!--
    <tif:ModesReservations id="TODO" >
        <tif:DetailModeReservation id="TODO" type="TODO" libelle="TODO" xml:lang="FR" >
            <tif:Obligatoire>O</tif:Obligatoire>
            <tif:Contacts idref="TODO">
                <tif:DetailContact type="TODO" idref="TODO"/>
                <tif:DetailContact type="TODO" idref="TODO"/>
            </tif:Contacts>
            <tif:ObservationModeReservation xml:lang="FR">ObservationModeReservation</tif:ObservationModeReservation>
        </tif:DetailModeReservation>
        <tif:DetailModeReservation id="TODO" type="TODO" libelle="TODO" xml:lang="FR" >
            <tif:Obligatoire>O</tif:Obligatoire>
            <tif:Contacts idref="TODO">
                <tif:DetailContact type="TODO" idref="TODO"/>
                <tif:DetailContact type="TODO" idref="TODO"/>
            </tif:Contacts>
            <tif:ObservationModeReservation xml:lang="FR">ObservationModeReservation</tif:ObservationModeReservation>
        </tif:DetailModeReservation>
    </tif:ModesReservations>
     
    -->
    <xsl:template name="Mod_Modes_Reservation">
        <xsl:variable name="v_objettour">
            <xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:ID_OBJETTOUR"/>
        </xsl:variable>
        <tif:ModesReservations>
            <xsl:choose>
                <xsl:when test="$v_objettour='HOT' ">
                    <xsl:call-template name="Mod_Modes_Reservation_HOT"/>
                </xsl:when>
                <xsl:when test="$v_objettour='HPA' ">
                    <xsl:call-template name="Mod_Modes_Reservation_HPA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='HLO' ">
                    <xsl:call-template name="Mod_Modes_Reservation_HLO"/>
                </xsl:when>
                <xsl:when test="$v_objettour='RES' ">
                    <xsl:call-template name="Mod_Modes_Reservation_RES"/>
                </xsl:when>
                <xsl:when test="$v_objettour='FMA' ">
                    <xsl:call-template name="Mod_Modes_Reservation_FMA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='PNA' ">
                    <xsl:call-template name="Mod_Modes_Reservation_PNA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='PCU' ">
                    <xsl:call-template name="Mod_Modes_Reservation_PCU"/>
                </xsl:when>
                <xsl:when test="$v_objettour='DEG' ">
                    <xsl:call-template name="Mod_Modes_Reservation_DEG"/>
                </xsl:when>
                <xsl:when test="$v_objettour='LOI' ">
                    <xsl:call-template name="Mod_Modes_Reservation_LOI"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ASC' ">
                    <xsl:call-template name="Mod_Modes_Reservation_ASC"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ITI' ">
                    <xsl:call-template name="Mod_Modes_Reservation_ITI"/>
                </xsl:when>
                <xsl:when test="$v_objettour='VIL' ">
                    <xsl:call-template name="Mod_Modes_Reservation_VIL"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ORG' ">
                    <xsl:call-template name="Mod_Modes_Reservation_ORG"/>
                </xsl:when>
            </xsl:choose>
            <!-- -->
        </tif:ModesReservations>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : HOT -->
    <!-- ============= -->
    <xsl:template name="Mod_Modes_Reservation_HOT">
        <xsl:if test="count(/tif22:OI22/tif22:HOT/tif22:Hot3_resa) &gt;0 ">
            <xsl:for-each select="/tif22:OI22/tif22:HOT/tif22:Hot3_resa">
                <xsl:if test="normalize-space(tif22:Hot3_resa.ID_TYPRES) != '' ">
                    <tif:DetailModeReservation>
                        <!-- -->
                        <xsl:variable name="code22" select="normalize-space(tif22:Hot3_resa.ID_TYPRES)"/>
                        <xsl:variable name="code30">
                            <xsl:value-of select="thes:getCode30FromCode22('TypRes',$code22)"/>
                        </xsl:variable>
                        <xsl:attribute name="type">
                            <xsl:value-of select="$code30"/>
                        </xsl:attribute>
                        <xsl:attribute name="libelle">
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <!-- -->
                    </tif:DetailModeReservation>
                </xsl:if>
            </xsl:for-each>
        </xsl:if>
        <!-- -->
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : HPA -->
    <!-- ============= -->
    <xsl:template name="Mod_Modes_Reservation_HPA">
        <xsl:if test="count(/tif22:OI22/tif22:HPA/tif22:Hpa3_resa) &gt;0 ">
            <xsl:for-each select="/tif22:OI22/tif22:HPA/tif22:Hpa3_resa">
                <xsl:if test="normalize-space(tif22:Hpa3_resa.ID_TYPRES) != '' ">
                    <tif:DetailModeReservation>
                        <!-- -->
                        <xsl:variable name="code22" select="normalize-space(tif22:Hpa3_resa.ID_TYPRES)"/>
                        <xsl:variable name="code30">
                            <xsl:value-of select="thes:getCode30FromCode22('TypRes',$code22)"/>
                        </xsl:variable>
                        <xsl:attribute name="type">
                            <xsl:value-of select="$code30"/>
                        </xsl:attribute>
                        <xsl:attribute name="libelle">
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <!-- -->
                    </tif:DetailModeReservation>
                </xsl:if>
            </xsl:for-each>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : HLO -->
    <!-- ============= -->
    <xsl:template name="Mod_Modes_Reservation_HLO">
        <xsl:if test="count(/tif22:OI22/tif22:HLO/tif22:Hlo3_resa) &gt;0 ">
            <xsl:for-each select="/tif22:OI22/tif22:HLO/tif22:Hlo3_resa">
                <xsl:if test="normalize-space(tif22:Hlo3_resa.ID_TYPRES) != '' ">
                    <tif:DetailModeReservation>
                        <!-- -->
                        <xsl:variable name="code22" select="normalize-space(tif22:Hlo3_resa.ID_TYPRES)"/>
                        <xsl:variable name="code30">
                            <xsl:value-of select="thes:getCode30FromCode22('TypRes',$code22)"/>
                        </xsl:variable>
                        <xsl:attribute name="type">
                            <xsl:value-of select="$code30"/>
                        </xsl:attribute>
                        <xsl:attribute name="libelle">
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <!-- -->
                    </tif:DetailModeReservation>
                </xsl:if>
            </xsl:for-each>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : RES -->
    <!-- ============= -->
    <xsl:template name="Mod_Modes_Reservation_RES">
        <xsl:if test="count(/tif22:OI22/tif22:RES/tif22:Res3_resa) &gt;0 ">
            <xsl:for-each select="/tif22:OI22/tif22:RES/tif22:Res3_resa">
                <xsl:if test="normalize-space(tif22:Res3_resa.ID_TYPRES) != '' ">
                    <tif:DetailModeReservation>
                        <!-- -->
                        <xsl:variable name="code22" select="normalize-space(tif22:Res3_resa.ID_TYPRES)"/>
                        <xsl:variable name="code30">
                            <xsl:value-of select="thes:getCode30FromCode22('TypRes',$code22)"/>
                        </xsl:variable>
                        <xsl:attribute name="type">
                            <xsl:value-of select="$code30"/>
                        </xsl:attribute>
                        <xsl:attribute name="libelle">
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <!-- -->
                    </tif:DetailModeReservation>
                </xsl:if>
            </xsl:for-each>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : FMA -->
    <!-- ============= -->
    <xsl:template name="Mod_Modes_Reservation_FMA">
        <xsl:if test="count(/tif22:OI22/tif22:FMA/tif22:Fma3_resa) &gt;0 ">
            <xsl:for-each select="/tif22:OI22/tif22:FMA/tif22:Fma3_resa">
                <xsl:if test="normalize-space(tif22:Fma3_resa.ID_TYPRES) != '' ">
                    <tif:DetailModeReservation>
                        <!-- -->
                        <xsl:variable name="code22" select="normalize-space(tif22:Fma3_resa.ID_TYPRES)"/>
                        <xsl:variable name="code30">
                            <xsl:value-of select="thes:getCode30FromCode22('TypRes',$code22)"/>
                        </xsl:variable>
                        <xsl:attribute name="type">
                            <xsl:value-of select="$code30"/>
                        </xsl:attribute>
                        <xsl:attribute name="libelle">
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <!-- -->
                    </tif:DetailModeReservation>
                </xsl:if>
            </xsl:for-each>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : PNA -->
    <!-- ============= -->
    <xsl:template name="Mod_Modes_Reservation_PNA">
        <xsl:if test="count(/tif22:OI22/tif22:PNA/tif22:Pna3_resa) &gt;0 ">
            <xsl:for-each select="/tif22:OI22/tif22:PNA/tif22:Pna3_resa">
                <xsl:if test="normalize-space(tif22:Pna3_resa.ID_TYPRES) != '' ">
                    <tif:DetailModeReservation>
                        <!-- -->
                        <xsl:variable name="code22" select="normalize-space(tif22:Pna3_resa.ID_TYPRES)"/>
                        <xsl:variable name="code30">
                            <xsl:value-of select="thes:getCode30FromCode22('TypRes',$code22)"/>
                        </xsl:variable>
                        <xsl:attribute name="type">
                            <xsl:value-of select="$code30"/>
                        </xsl:attribute>
                        <xsl:attribute name="libelle">
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <!-- -->
                    </tif:DetailModeReservation>
                </xsl:if>
            </xsl:for-each>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : PCU -->
    <!-- ============= -->
    <xsl:template name="Mod_Modes_Reservation_PCU">
        <xsl:if test="count(/tif22:OI22/tif22:PCU/tif22:Pcu3_resa) &gt;0 ">
            <xsl:for-each select="/tif22:OI22/tif22:PCU/tif22:Pcu3_resa">
                <xsl:if test="normalize-space(tif22:Pcu3_resa.ID_TYPRES) != '' ">
                    <tif:DetailModeReservation>
                        <!-- -->
                        <xsl:variable name="code22" select="normalize-space(tif22:Pcu3_resa.ID_TYPRES)"/>
                        <xsl:variable name="code30">
                            <xsl:value-of select="thes:getCode30FromCode22('TypRes',$code22)"/>
                        </xsl:variable>
                        <xsl:attribute name="type">
                            <xsl:value-of select="$code30"/>
                        </xsl:attribute>
                        <xsl:attribute name="libelle">
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <!-- -->
                    </tif:DetailModeReservation>
                </xsl:if>
            </xsl:for-each>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : DEG -->
    <!-- ============= -->
    <xsl:template name="Mod_Modes_Reservation_DEG">
        <xsl:if test="count(/tif22:OI22/tif22:DEG/tif22:Deg3_resa) &gt;0 ">
            <xsl:for-each select="/tif22:OI22/tif22:DEG/tif22:Deg3_resa">
                <xsl:if test="normalize-space(tif22:Deg3_resa.ID_TYPRES) != '' ">
                    <tif:DetailModeReservation>
                        <!-- -->
                        <xsl:variable name="code22" select="normalize-space(tif22:Deg3_resa.ID_TYPRES)"/>
                        <xsl:variable name="code30">
                            <xsl:value-of select="thes:getCode30FromCode22('TypRes',$code22)"/>
                        </xsl:variable>
                        <xsl:attribute name="type">
                            <xsl:value-of select="$code30"/>
                        </xsl:attribute>
                        <xsl:attribute name="libelle">
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <!-- -->
                    </tif:DetailModeReservation>
                </xsl:if>
            </xsl:for-each>
        </xsl:if>
        <!-- -->
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : LOI -->
    <!-- ============= -->
    <xsl:template name="Mod_Modes_Reservation_LOI">
        <xsl:if test="count(/tif22:OI22/tif22:LOI/tif22:Loi3_resa) &gt;0 ">
            <xsl:for-each select="/tif22:OI22/tif22:LOI/tif22:Loi3_resa">
                <xsl:if test="normalize-space(tif22:Loi3_resa.ID_TYPRES) != '' ">
                    <tif:DetailModeReservation>
                        <!-- -->
                        <xsl:variable name="code22" select="normalize-space(tif22:Loi3_resa.ID_TYPRES)"/>
                        <xsl:variable name="code30">
                            <xsl:value-of select="thes:getCode30FromCode22('TypRes',$code22)"/>
                        </xsl:variable>
                        <xsl:attribute name="type">
                            <xsl:value-of select="$code30"/>
                        </xsl:attribute>
                        <xsl:attribute name="libelle">
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <!-- -->
                    </tif:DetailModeReservation>
                </xsl:if>
            </xsl:for-each>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : ASC -->
    <!-- ============= -->
    <xsl:template name="Mod_Modes_Reservation_ASC">
        <xsl:if test="count(/tif22:OI22/tif22:ASC/tif22:Asc3_resa) &gt;0 ">
            <xsl:for-each select="/tif22:OI22/tif22:ASC/tif22:Asc3_resa">
                <xsl:if test="normalize-space(tif22:Asc3_resa.ID_TYPRES) != '' ">
                    <tif:DetailModeReservation>
                        <!-- -->
                        <xsl:variable name="code22" select="normalize-space(tif22:Asc3_resa.ID_TYPRES)"/>
                        <xsl:variable name="code30">
                            <xsl:value-of select="thes:getCode30FromCode22('TypRes',$code22)"/>
                        </xsl:variable>
                        <xsl:attribute name="type">
                            <xsl:value-of select="$code30"/>
                        </xsl:attribute>
                        <xsl:attribute name="libelle">
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <!-- -->
                    </tif:DetailModeReservation>
                </xsl:if>
            </xsl:for-each>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : ITI -->
    <!-- ============= -->
    <xsl:template name="Mod_Modes_Reservation_ITI">
        <xsl:if test="count(/tif22:OI22/tif22:ITI/tif22:Iti3_resa) &gt;0 ">
            <xsl:for-each select="/tif22:OI22/tif22:ITI/tif22:Iti3_resa">
                <xsl:if test="normalize-space(tif22:Iti3_resa.ID_TYPRES) != '' ">
                    <tif:DetailModeReservation>
                        <!-- -->
                        <xsl:variable name="code22" select="normalize-space(tif22:Iti3_resa.ID_TYPRES)"/>
                        <xsl:variable name="code30">
                            <xsl:value-of select="thes:getCode30FromCode22('TypRes',$code22)"/>
                        </xsl:variable>
                        <xsl:attribute name="type">
                            <xsl:value-of select="$code30"/>
                        </xsl:attribute>
                        <xsl:attribute name="libelle">
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <!-- -->
                    </tif:DetailModeReservation>
                </xsl:if>
            </xsl:for-each>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : VIL -->
    <!-- ============= -->
    <xsl:template name="Mod_Modes_Reservation_VIL">
        <xsl:if test="count(/tif22:OI22/tif22:VIL/tif22:Vil3_resa) &gt;0 ">
            <xsl:for-each select="/tif22:OI22/tif22:VIL/tif22:Vil3_resa">
                <xsl:if test="normalize-space(tif22:Vil3_resa.ID_TYPRES) != '' ">
                    <tif:DetailModeReservation>
                        <!-- -->
                        <xsl:variable name="code22" select="normalize-space(tif22:Vil3_resa.ID_TYPRES)"/>
                        <xsl:variable name="code30">
                            <xsl:value-of select="thes:getCode30FromCode22('TypRes',$code22)"/>
                        </xsl:variable>
                        <xsl:attribute name="type">
                            <xsl:value-of select="$code30"/>
                        </xsl:attribute>
                        <xsl:attribute name="libelle">
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <!-- -->
                    </tif:DetailModeReservation>
                </xsl:if>
            </xsl:for-each>
        </xsl:if>
    </xsl:template>
    <!-- ============================================================= -->
    <!-- ============= -->
    <!-- Bordereaux : ORG -->
    <!-- ============= -->
    <xsl:template name="Mod_Modes_Reservation_ORG">
        <xsl:if test="count(/tif22:OI22/tif22:ORG/tif22:Org3_resa) &gt;0 ">
            <xsl:for-each select="/tif22:OI22/tif22:ORG/tif22:Org3_resa">
                <xsl:if test="normalize-space(tif22:Org3_resa.ID_TYPRES) != '' ">
                    <tif:DetailModeReservation>
                        <!-- -->
                        <xsl:variable name="code22" select="normalize-space(tif22:Org3_resa.ID_TYPRES)"/>
                        <xsl:variable name="code30">
                            <xsl:value-of select="thes:getCode30FromCode22('TypRes',$code22)"/>
                        </xsl:variable>
                        <xsl:attribute name="type">
                            <xsl:value-of select="$code30"/>
                        </xsl:attribute>
                        <xsl:attribute name="libelle">
                            <xsl:value-of select="thes:getLibelle30($code30)"/>
                        </xsl:attribute>
                        <xsl:attribute name="xml:lang">fr</xsl:attribute>
                        <!-- -->
                    </tif:DetailModeReservation>
                </xsl:if>
            </xsl:for-each>
        </xsl:if>
    </xsl:template>
</xsl:stylesheet>
