<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns:sy="http://purl.org/rss/1.0/modules/syndication/" xmlns:tif22="http://www.tourinfrance.net/tourinfrance22/"
    xmlns:thes="ThesaurusReader" extension-element-prefixes="thes">
    <xsl:output encoding="utf-8" indent="yes" version="1.0" method="xml"/>
    <!-- Module Multimedia ========================================================
    <tif:Multimedia id="TODO">
        <tif:DetailMultimedia id="TODO" type="03.01.01" libelle="Image" xml:lang="FR" >
            <tif:URL>URL</tif:URL>
            <tif:Nom xml:lang="FR">Nom</tif:Nom>                
            <tif:LegendeRessource xml:lang="FR">LegendeRessource</tif:LegendeRessource>
            <tif:TailleRessource unite="TODO">1000</tif:TailleRessource>
            <tif:Largeur unite="pixel">1280</tif:Largeur>
            <tif:Hauteur unite="pixel">1024</tif:Hauteur>
            <tif:TypeMime>image/jpeg</tif:TypeMime>
            <tif:Copyright>Copyright</tif:Copyright>
            <tif:ObservationMultimedia xml:lang="FR">ObservationMultimedia</tif:ObservationMultimedia>
        </tif:DetailMultimedia>
        
        <tif:DetailMultimedia id="TODO" type="03.01.04" libelle="Vidéo" xml:lang="FR" >
            <tif:URL>URL</tif:URL>
            <tif:Nom xml:lang="FR">Nom</tif:Nom>                
            <tif:LegendeRessource xml:lang="FR">LegendeRessource</tif:LegendeRessource>
            <tif:TailleRessource unite="TODO">2048</tif:TailleRessource>
            <tif:Duree unite="01.03.03.01" libelle="s" xml:lang="FR">120</tif:Duree>
            <tif:TypeMime>video/mpeg</tif:TypeMime>
            <tif:Copyright>Copyright</tif:Copyright>
            <tif:ObservationMultimedia xml:lang="FR">ObservationMultimedia</tif:ObservationMultimedia>
        </tif:DetailMultimedia>
    </tif:Multimedia>
   -->
    <xsl:template name="Mod_Multimedia">
        <xsl:variable name="v_objettour">
            <xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:ID_OBJETTOUR"/>
        </xsl:variable>
        <tif:Multimedia>
            <xsl:choose>
                <xsl:when test="$v_objettour='MUL' ">
                    <xsl:call-template name="Mod_Multimedia_MUL"/>
                </xsl:when>
            </xsl:choose>
        </tif:Multimedia>
    </xsl:template>
    <!-- -->
    <xsl:template name="Mod_Multimedia_MUL">
        <tif:DetailMultimedia>
            <!-- -->
            <xsl:variable name="code22" select="normalize-space(/tif22:OI22/tif22:COMMON/tif22:ID_TYPE)"/>
            <xsl:variable name="code30"><xsl:value-of select="thes:getCode30FromCode22('ObjetTour',$code22)"/></xsl:variable>
            <xsl:attribute name="type"><xsl:value-of select="$code30"/></xsl:attribute>
            <xsl:attribute name="xml:lang">fr</xsl:attribute>
            <!-- -->
            <xsl:if test="normalize-space(/tif22:OI22/tif22:MUL/tif22:Mul.URL) != '' ">
                <tif:URL><xsl:value-of select="/tif22:OI22/tif22:MUL/tif22:Mul.URL"/></tif:URL>
            </xsl:if>
            <xsl:if test="normalize-space(/tif22:OI22/tif22:MUL/tif22:Mul.TYPE_MIME) != '' ">
                <tif:Type_mime><xsl:value-of select="/tif22:OI22/tif22:MUL/tif22:Mul.TYPE_MIME"/></tif:Type_mime>
            </xsl:if>
            <xsl:if test="normalize-space(/tif22:OI22/tif22:MUL/tif22:Mul.COORD_COM) != '' ">
                <tif:LegendeRessource><xsl:value-of select="/tif22:OI22/tif22:MUL/tif22:Mul.COORD_COM"/></tif:LegendeRessource>
            </xsl:if>
            <xsl:if test="normalize-space(/tif22:OI22/tif22:MUL/tif22:Mul.TAILLE) != '' ">
                <tif:TailleRessource>
                    <xsl:attribute name="unite">Unité multimedia</xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:value-of select="/tif22:OI22/tif22:MUL/tif22:Mul.TAILLE"/>
                </tif:TailleRessource>
            </xsl:if>
            <xsl:if test="normalize-space(/tif22:OI22/tif22:MUL/tif22:Mul.COPYRIGHT) != '' ">
                <tif:Copyright><xsl:value-of select="/tif22:OI22/tif22:MUL/tif22:Mul.COPYRIGHT"/></tif:Copyright>
            </xsl:if>
        </tif:DetailMultimedia>
    </xsl:template>
</xsl:stylesheet>
