<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns:sy="http://purl.org/rss/1.0/modules/syndication/" xmlns:tif22="http://www.tourinfrance.net/tourinfrance22/"
    xmlns:thes="tif.tools.ThesaurusReader" extension-element-prefixes="thes">
    <xsl:output encoding="utf-8" indent="yes" version="1.0" method="xml"/>
    <!-- Module Planning ========================================================
    <tif:Plannings id="TODO">
        <tif:DetailPlanning id="TODO" type="TODO" libelle="TODO" xml:lang="FR" >
            <tif:Nom xml:lang="FR">Nom</tif:Nom>
            <tif:DetailPeriode type="TODO" idref="TODO"/>
            <tif:PrestationsPlanning id="TODO">
                <tif:DetailPrestationPlanning id="TODO">
                    <tif:DetailPrestation idref="TODO"/>
                    <tif:LignePlanning id="TODO">
                        <tif:JourPlanning id="TODO">
                            <tif:AnNumJour>2004001</tif:AnNumJour>
                            <tif:Etat type="TODO" xml:lang="FR">Etat</tif:Etat>
                            <tif:Quantite>111</tif:Quantite>
                        </tif:JourPlanning>
                        <tif:JourPlanning id="TODO">
                            <tif:AnNumJour>2004001</tif:AnNumJour>
                            <tif:Etat type="TODO" xml:lang="FR">Etat</tif:Etat>
                            <tif:Quantite>111</tif:Quantite>
                        </tif:JourPlanning>
                    </tif:LignePlanning>
                </tif:DetailPrestationPlanning>
                <tif:DetailPrestationPlanning>
                    <tif:DetailPrestation idref="TODO"/>
                    <tif:LignePlanning id="TODO">
                        <tif:JourPlanning id="TODO">
                            <tif:AnNumJour>2004001</tif:AnNumJour>
                            <tif:Etat type="TODO" xml:lang="FR">Etat</tif:Etat>
                            <tif:Quantite>111</tif:Quantite>
                        </tif:JourPlanning>
                        <tif:JourPlanning id="TODO">
                            <tif:AnNumJour>2004001</tif:AnNumJour>
                            <tif:Etat type="TODO" xml:lang="FR">Etat</tif:Etat>
                            <tif:Quantite>111</tif:Quantite>
                        </tif:JourPlanning>
                    </tif:LignePlanning>
                </tif:DetailPrestationPlanning>
            </tif:PrestationsPlanning>
            <tif:ObservationPlanning xml:lang="FR">ObervationPlanning</tif:ObservationPlanning>
        </tif:DetailPlanning>
    </tif:Plannings>
    -->
    <xsl:template name="Mod_Plannings">
        <xsl:variable name="v_objettour">
            <xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:ID_OBJETTOUR"/>
        </xsl:variable>
        <tif:Plannings>
            <xsl:choose>
                <xsl:when test="$v_objettour='HOT' ">
                    <xsl:call-template name="Mod_Planning_HOT"/>
                </xsl:when>
                <xsl:when test="$v_objettour='HPA' ">
                    <xsl:call-template name="Mod_Planning_HPA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='HLO' ">
                    <xsl:call-template name="Mod_Planning_HLO"/>
                </xsl:when>
                <xsl:when test="$v_objettour='RES' ">
                    <xsl:call-template name="Mod_Planning_RES"/>
                </xsl:when>
                <xsl:when test="$v_objettour='FMA' ">
                    <xsl:call-template name="Mod_Planning_FMA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='PNA' ">
                    <xsl:call-template name="Mod_Planning_PNA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='PCU' ">
                    <xsl:call-template name="Mod_Planning_PCU"/>
                </xsl:when>
                <xsl:when test="$v_objettour='DEG' ">
                    <xsl:call-template name="Mod_Planning_DEG"/>
                </xsl:when>
                <xsl:when test="$v_objettour='LOI' ">
                    <xsl:call-template name="Mod_Planning_LOI"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ASC' ">
                    <xsl:call-template name="Mod_Planning_ASC"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ITI' ">
                    <xsl:call-template name="Mod_Planning_ITI"/>
                </xsl:when>
                <xsl:when test="$v_objettour='VIL' ">
                    <xsl:call-template name="Mod_Planning_VIL"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ORG' ">
                    <xsl:call-template name="Mod_Planning_ORG"/>
                </xsl:when>
            </xsl:choose>
        </tif:Plannings>
    </xsl:template>
    <!-- -->
    <xsl:template name="Mod_Planning_HOT"/>
    <!-- -->
    <xsl:template name="Mod_Planning_HPA"/>
    <!-- -->
    <xsl:template name="Mod_Planning_HLO"/>
    <!-- -->
    <xsl:template name="Mod_Planning_RES"/>
    <!-- -->
    <xsl:template name="Mod_Planning_FMA"/>
    <!-- -->
    <xsl:template name="Mod_Planning_PNA"/>
    <!-- -->
    <xsl:template name="Mod_Planning_PCU"/>
    <!-- -->
    <xsl:template name="Mod_Planning_DEG"/>
    <!-- -->
    <xsl:template name="Mod_Planning_LOI"/>
    <!-- -->
    <xsl:template name="Mod_Planning_ASC"/>
    <!-- -->
    <xsl:template name="Mod_Planning_ITI"/>
    <!-- -->
    <xsl:template name="Mod_Planning_VIL"/>
    <!-- -->
    <xsl:template name="Mod_Planning_ORG"/>
</xsl:stylesheet>
