<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns:sy="http://purl.org/rss/1.0/modules/syndication/" xmlns:tif22="http://www.tourinfrance.net/tourinfrance22/"
    xmlns:thes="tif.tools.ThesaurusReader" extension-element-prefixes="thes">
    <xsl:output encoding="utf-8" indent="yes" version="1.0" method="xml"/>
    <!-- Module Prestations Liees ========================================================
    <tif:PrestationsLiees id="TODO">
        <tif:DetailPrestationLiee id="TODO" identifier="TODO" type="TODO" xml:lang="FR" >DetailPrestationLiee</tif:DetailPrestationLiee>
        <tif:DetailPrestationLiee id="TODO" identifier="TODO" type="TODO" xml:lang="FR" >DetailPrestationLiee</tif:DetailPrestationLiee>
    </tif:PrestationsLiees>
    -->
    <xsl:template name="Mod_Prestations_Liees">
        <xsl:variable name="v_objettour">
            <xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:ID_OBJETTOUR"/>
        </xsl:variable>
        <tif:PrestationsLiees>
            <xsl:choose>
                <xsl:when test="$v_objettour='HOT' ">
                    <xsl:call-template name="Mod_Prestations_Liees_HOT"/>
                </xsl:when>
                <xsl:when test="$v_objettour='HPA' ">
                    <xsl:call-template name="Mod_Prestations_Liees_HPA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='HLO' ">
                    <xsl:call-template name="Mod_Prestations_Liees_HLO"/>
                </xsl:when>
                <xsl:when test="$v_objettour='RES' ">
                    <xsl:call-template name="Mod_Prestations_Liees_RES"/>
                </xsl:when>
                <xsl:when test="$v_objettour='FMA' ">
                    <xsl:call-template name="Mod_Prestations_Liees_FMA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='PNA' ">
                    <xsl:call-template name="Mod_Prestations_Liees_PNA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='PCU' ">
                    <xsl:call-template name="Mod_Prestations_Liees_PCU"/>
                </xsl:when>
                <xsl:when test="$v_objettour='DEG' ">
                    <xsl:call-template name="Mod_Prestations_Liees_DEG"/>
                </xsl:when>
                <xsl:when test="$v_objettour='LOI' ">
                    <xsl:call-template name="Mod_Prestations_Liees_LOI"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ASC' ">
                    <xsl:call-template name="Mod_Prestations_Liees_ASC"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ITI' ">
                    <xsl:call-template name="Mod_Prestations_Liees_ITI"/>
                </xsl:when>
                <xsl:when test="$v_objettour='VIL' ">
                    <xsl:call-template name="Mod_Prestations_Liees_VIL"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ORG' ">
                    <xsl:call-template name="Mod_Prestations_Liees_ORG"/>
                </xsl:when>
            </xsl:choose>
        </tif:PrestationsLiees>
    </xsl:template>
    <!-- -->
    <xsl:template name="Mod_Prestations_Liees_HOT">
        <xsl:for-each select="/tif22:OI22/tif22:HOT/tif22:Hot1_prest">
            <xsl:if test="normalize-space(tif22:Hot1_prest.ID_AUTRE) != '' ">
                <!-- Descriptif prestation -->
                <xsl:comment>==</xsl:comment>
                <xsl:comment>Descriptif prestation</xsl:comment>
                <tif:DetailPrestationLiee>
                    <xsl:attribute name="type">07.01.01</xsl:attribute> <!-- Non précisé -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('07.01.01')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:attribute name="identifier">
                        <xsl:value-of select="normalize-space(tif22:Hot1_prest.ID_AUTRE)"/>
                    </xsl:attribute>
                    <xsl:value-of select="normalize-space(tif22:Hot1_prest.DESCPREST)"/>
                </tif:DetailPrestationLiee>
            </xsl:if>
        </xsl:for-each>
    </xsl:template>
    <!-- -->
    <xsl:template name="Mod_Prestations_Liees_HPA">
        <xsl:for-each select="/tif22:OI22/tif22:HPA/tif22:Hpa1_prest">
            <xsl:if test="normalize-space(tif22:Hpa1_prest.ID_AUTRE) != '' ">
                <!-- Descriptif prestation -->
                <xsl:comment>==</xsl:comment>
                <xsl:comment>Descriptif prestation</xsl:comment>
                <tif:DetailPrestationLiee>
                    <xsl:attribute name="type">07.01.01</xsl:attribute> <!-- Non précisé -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('07.01.01')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:attribute name="identifier">
                        <xsl:value-of select="normalize-space(tif22:Hpa1_prest.ID_AUTRE)"/>
                    </xsl:attribute>
                    <xsl:value-of select="normalize-space(tif22:Hpa1_prest.DESCPREST)"/>
                </tif:DetailPrestationLiee>
            </xsl:if>
        </xsl:for-each>
    </xsl:template>
    <!-- -->
    <xsl:template name="Mod_Prestations_Liees_HLO">
        <xsl:for-each select="/tif22:OI22/tif22:HLO/tif22:Hlo1_prest">
            <xsl:if test="normalize-space(tif22:Hlo1_prest.ID_AUTRE) != '' ">
                <!-- Descriptif prestation -->
                <xsl:comment>==</xsl:comment>
                <xsl:comment>Descriptif prestation</xsl:comment>
                <tif:DetailPrestationLiee>
                    <xsl:attribute name="type">07.01.01</xsl:attribute> <!-- Non précisé -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('07.01.01')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:attribute name="identifier">
                        <xsl:value-of select="normalize-space(tif22:Hlo1_prest.ID_AUTRE)"/>
                    </xsl:attribute>
                    <xsl:value-of select="normalize-space(tif22:Hlo1_prest.DESCPREST)"/>
                </tif:DetailPrestationLiee>
            </xsl:if>
        </xsl:for-each>
    </xsl:template>
    <!-- -->
    <xsl:template name="Mod_Prestations_Liees_RES">
        <xsl:for-each select="/tif22:OI22/tif22:RES/tif22:Res1_prest">
            <xsl:if test="normalize-space(tif22:Res1_prest.ID_AUTRE) != '' ">
                <!-- Descriptif prestation -->
                <xsl:comment>==</xsl:comment>
                <xsl:comment>Descriptif prestation</xsl:comment>
                <tif:DetailPrestationLiee>
                    <xsl:attribute name="type">07.01.01</xsl:attribute> <!-- Non précisé -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('07.01.01')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:attribute name="identifier">
                        <xsl:value-of select="normalize-space(tif22:Res1_prest.ID_AUTRE)"/>
                    </xsl:attribute>
                    <xsl:value-of select="normalize-space(tif22:Res1_prest.DESCPRES)"/>
                </tif:DetailPrestationLiee>
            </xsl:if>
        </xsl:for-each>
    </xsl:template>
    <!-- -->
    <xsl:template name="Mod_Prestations_Liees_FMA">
        <xsl:for-each select="/tif22:OI22/tif22:FMA/tif22:Fma1_prest">
            <xsl:if test="normalize-space(tif22:Fma1_prest.ID_AUTRE) != '' ">
                <!-- Descriptif prestation -->
                <xsl:comment>==</xsl:comment>
                <xsl:comment>Descriptif prestation</xsl:comment>
                <tif:DetailPrestationLiee>
                    <xsl:attribute name="type">07.01.01</xsl:attribute> <!-- Non précisé -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('07.01.01')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:attribute name="identifier">
                        <xsl:value-of select="normalize-space(tif22:Fma1_prest.ID_AUTRE)"/>
                    </xsl:attribute>
                    <xsl:value-of select="normalize-space(tif22:Fma1_prest.DESCPREST)"/>
                </tif:DetailPrestationLiee>
            </xsl:if>
        </xsl:for-each>
    </xsl:template>
    <!-- -->
    <xsl:template name="Mod_Prestations_Liees_PNA">
        <xsl:for-each select="/tif22:OI22/tif22:PNA/tif22:Pna1_prest">
            <xsl:if test="normalize-space(tif22:Fma1_prest.ID_AUTRE) != '' ">
                <!-- Descriptif prestation -->
                <xsl:comment>==</xsl:comment>
                <xsl:comment>Descriptif prestation</xsl:comment>
                <tif:DetailPrestationLiee>
                    <xsl:attribute name="type">07.01.01</xsl:attribute> <!-- Non précisé -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('07.01.01')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:attribute name="identifier">
                        <xsl:value-of select="normalize-space(tif22:Pna1_prest.ID_AUTRE)"/>
                    </xsl:attribute>
                    <xsl:value-of select="normalize-space(tif22:Pna1_prest.DESCPREST)"/>
                </tif:DetailPrestationLiee>
            </xsl:if>
        </xsl:for-each>
    </xsl:template>
    <!-- -->
    <xsl:template name="Mod_Prestations_Liees_PCU">
        <xsl:for-each select="/tif22:OI22/tif22:PCU/tif22:Pna1_prest">
            <xsl:if test="normalize-space(tif22:Pcu1_prest.ID_AUTRE) != '' ">
                <!-- Descriptif prestation -->
                <xsl:comment>==</xsl:comment>
                <xsl:comment>Descriptif prestation</xsl:comment>
                <tif:DetailPrestationLiee>
                    <xsl:attribute name="type">07.01.01</xsl:attribute> <!-- Non précisé -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('07.01.01')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:attribute name="identifier">
                        <xsl:value-of select="normalize-space(tif22:Pcu1_prest.ID_AUTRE)"/>
                    </xsl:attribute>
                    <xsl:value-of select="normalize-space(tif22:Pcu1_prest.DESCPREST)"/>
                </tif:DetailPrestationLiee>
            </xsl:if>
        </xsl:for-each>
    </xsl:template>
    <!-- -->
    <xsl:template name="Mod_Prestations_Liees_DEG">
        <xsl:for-each select="/tif22:OI22/tif22:DEG/tif22:Pna1_prest">
            <xsl:if test="normalize-space(tif22:Deg1_prest.ID_AUTRE) != '' ">
                <!-- Descriptif prestation -->
                <xsl:comment>==</xsl:comment>
                <xsl:comment>Descriptif prestation</xsl:comment>
                <tif:DetailPrestationLiee>
                    <xsl:attribute name="type">07.01.01</xsl:attribute> <!-- Non précisé -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('07.01.01')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:attribute name="identifier">
                        <xsl:value-of select="normalize-space(tif22:Deg1_prest.ID_AUTRE)"/>
                    </xsl:attribute>
                    <xsl:value-of select="normalize-space(tif22:Deg1_prest.DESCPREST)"/>
                </tif:DetailPrestationLiee>
            </xsl:if>
        </xsl:for-each>
    </xsl:template>
    <!-- -->
    <xsl:template name="Mod_Prestations_Liees_LOI">
        <xsl:for-each select="/tif22:OI22/tif22:LOI/tif22:Loi1_prest">
            <xsl:if test="normalize-space(tif22:Loi1_prest.ID_AUTRE) != '' ">
                <!-- Descriptif prestation -->
                <xsl:comment>==</xsl:comment>
                <xsl:comment>Descriptif prestation</xsl:comment>
                <tif:DetailPrestationLiee>
                    <xsl:attribute name="type">07.01.01</xsl:attribute> <!-- Non précisé -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('07.01.01')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:attribute name="identifier">
                        <xsl:value-of select="normalize-space(tif22:Loi1_prest.ID_AUTRE)"/>
                    </xsl:attribute>
                    <xsl:value-of select="normalize-space(tif22:Loi1_prest.DESCPREST)"/>
                </tif:DetailPrestationLiee>
            </xsl:if>
        </xsl:for-each>
    </xsl:template>
    <!-- -->
    <xsl:template name="Mod_Prestations_Liees_ASC">
        <xsl:for-each select="/tif22:OI22/tif22:ASC/tif22:Asc1_prest">
            <xsl:if test="normalize-space(tif22:Asc1_prest.ID_AUTRE) != '' ">
                <!-- Descriptif prestation -->
                <xsl:comment>==</xsl:comment>
                <xsl:comment>Descriptif prestation</xsl:comment>
                <tif:DetailPrestationLiee>
                    <xsl:attribute name="type">07.01.01</xsl:attribute> <!-- Non précisé -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('07.01.01')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:attribute name="identifier">
                        <xsl:value-of select="normalize-space(tif22:Asc1_prest.ID_AUTRE)"/>
                    </xsl:attribute>
                    <xsl:value-of select="normalize-space(tif22:Asc1_prest.DESCPREST)"/>
                </tif:DetailPrestationLiee>
            </xsl:if>
        </xsl:for-each>
    </xsl:template>
    <!-- -->
    <xsl:template name="Mod_Prestations_Liees_ITI">
        <xsl:for-each select="/tif22:OI22/tif22:ITI/tif22:Iti1_prest">
            <xsl:if test="normalize-space(tif22:Iti1_prest.ID_AUTRE) != '' ">
                <!-- Descriptif prestation -->
                <xsl:comment>==</xsl:comment>
                <xsl:comment>Descriptif prestation</xsl:comment>
                <tif:DetailPrestationLiee>
                    <xsl:attribute name="type">07.01.01</xsl:attribute> <!-- Non précisé -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('07.01.01')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:attribute name="identifier">
                        <xsl:value-of select="normalize-space(tif22:Iti1_prest.ID_AUTRE)"/>
                    </xsl:attribute>
                    <xsl:value-of select="normalize-space(tif22:Iti1_prest.DESCPREST)"/>
                </tif:DetailPrestationLiee>
            </xsl:if>
        </xsl:for-each>
    </xsl:template>
    <!-- -->
    <xsl:template name="Mod_Prestations_Liees_VIL">
        <xsl:for-each select="/tif22:OI22/tif22:VIL/tif22:Vil1_prest">
            <xsl:if test="normalize-space(tif22:Vil1_prest.ID_AUTRE) != '' ">
                <!-- Descriptif prestation -->
                <xsl:comment>==</xsl:comment>
                <xsl:comment>Descriptif prestation</xsl:comment>
                <tif:DetailPrestationLiee>
                    <xsl:attribute name="type">07.01.01</xsl:attribute> <!-- Non précisé -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('07.01.01')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:attribute name="identifier">
                        <xsl:value-of select="normalize-space(tif22:Vil1_prest.ID_AUTRE)"/>
                    </xsl:attribute>
                    <xsl:value-of select="normalize-space(tif22:Vil1_prest.DESCPREST)"/>
                </tif:DetailPrestationLiee>
            </xsl:if>
        </xsl:for-each>
    </xsl:template>
    <!-- -->
    <xsl:template name="Mod_Prestations_Liees_ORG">
        <xsl:for-each select="/tif22:OI22/tif22:ORG/tif22:Org1_prest">
            <xsl:if test="normalize-space(tif22:Org1_prest.ID_AUTRE) != '' ">
                <!-- Descriptif prestation -->
                <xsl:comment>==</xsl:comment>
                <xsl:comment>Descriptif prestation</xsl:comment>
                <tif:DetailPrestationLiee>
                    <xsl:attribute name="type">07.01.01</xsl:attribute> <!-- Non précisé -->
                    <xsl:attribute name="libelle"><xsl:value-of select="thes:getLibelle30('07.01.01')"/></xsl:attribute>
                    <xsl:attribute name="xml:lang">fr</xsl:attribute>
                    <xsl:attribute name="identifier">
                        <xsl:value-of select="normalize-space(tif22:Org1_prest.ID_AUTRE)"/>
                    </xsl:attribute>
                    <xsl:value-of select="normalize-space(tif22:Org1_prest.DESCPREST)"/>
                </tif:DetailPrestationLiee>
            </xsl:if>
        </xsl:for-each>
    </xsl:template>
</xsl:stylesheet>
