<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns:sy="http://purl.org/rss/1.0/modules/syndication/" xmlns:tif22="http://www.tourinfrance.net/tourinfrance22/"
    xmlns:thes="tif.tools.ThesaurusReader" extension-element-prefixes="thes">
    <xsl:output encoding="utf-8" indent="yes" version="1.0" method="xml"/>
    <!-- Module Thesaurus ========================================================
    
    <tif:Thesaurus id="TODO">
        <tif:ThesaurusMTH id="TODO">
            <tif:RefThesaurusMTH racine="TODO" code_theso="TODO" xml:lang="FR">Libelle</tif:RefThesaurusMTH>
            <tif:RefThesaurusMTH racine="TODO" code_theso="TODO" xml:lang="FR">Libelle</tif:RefThesaurusMTH>
        </tif:ThesaurusMTH>
        <tif:ThesaurusAutre id="TODO">
            <tif:RefThesaurusAutre code_theso="TODO">
                <tif:Libelle>Libelle</tif:Libelle>
                <tif:Origine code="TODO" xml:lang="FR" >Origine</tif:Origine>
                <tif:ObservationThesaurus xml:lang="FR">ObservationThesaurus</tif:ObservationThesaurus>
            </tif:RefThesaurusAutre>
            <tif:RefThesaurusAutre code_theso="TODO">
                <tif:Libelle>Libelle</tif:Libelle>
                <tif:Origine code="TODO" xml:lang="FR" >Origine</tif:Origine>
                <tif:ObservationThesaurus xml:lang="FR">ObservationThesaurus</tif:ObservationThesaurus>
            </tif:RefThesaurusAutre>
        </tif:ThesaurusAutre>
    </tif:Thesaurus>
    
    -->
    <xsl:template name="Mod_Thesaurus">
        <xsl:variable name="v_objettour">
            <xsl:value-of select="/tif22:OI22/tif22:COMMON/tif22:ID_OBJETTOUR"/>
        </xsl:variable>
        <tif:Thesaurus>
            <xsl:choose>
                <xsl:when test="$v_objettour='HOT' ">
                    <xsl:call-template name="Mod_Thesaurus_HOT"/>
                </xsl:when>
                <xsl:when test="$v_objettour='HPA' ">
                    <xsl:call-template name="Mod_Thesaurus_HPA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='HLO' ">
                    <xsl:call-template name="Mod_Thesaurus_HLO"/>
                </xsl:when>
                <xsl:when test="$v_objettour='RES' ">
                    <xsl:call-template name="Mod_Thesaurus_RES"/>
                </xsl:when>
                <xsl:when test="$v_objettour='FMA' ">
                    <xsl:call-template name="Mod_Thesaurus_FMA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='PNA' ">
                    <xsl:call-template name="Mod_Thesaurus_PNA"/>
                </xsl:when>
                <xsl:when test="$v_objettour='PCU' ">
                    <xsl:call-template name="Mod_Thesaurus_PCU"/>
                </xsl:when>
                <xsl:when test="$v_objettour='DEG' ">
                    <xsl:call-template name="Mod_Thesaurus_DEG"/>
                </xsl:when>
                <xsl:when test="$v_objettour='LOI' ">
                    <xsl:call-template name="Mod_Thesaurus_LOI"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ASC' ">
                    <xsl:call-template name="Mod_Thesaurus_ASC"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ITI' ">
                    <xsl:call-template name="Mod_Thesaurus_ITI"/>
                </xsl:when>
                <xsl:when test="$v_objettour='VIL' ">
                    <xsl:call-template name="Mod_Thesaurus_VIL"/>
                </xsl:when>
                <xsl:when test="$v_objettour='ORG' ">
                    <xsl:call-template name="Mod_Thesaurus_ORG"/>
                </xsl:when>
            </xsl:choose>
        </tif:Thesaurus>
    </xsl:template>
    <!-- -->
    <xsl:template name="Mod_Thesaurus_HOT"/>
    <!-- -->
    <xsl:template name="Mod_Thesaurus_HPA"/>
    <!-- -->
    <xsl:template name="Mod_Thesaurus_HLO"/>
    <!-- -->
    <xsl:template name="Mod_Thesaurus_RES"/>
    <!-- -->
    <xsl:template name="Mod_Thesaurus_FMA"/>
    <!-- -->
    <xsl:template name="Mod_Thesaurus_PNA"/>
    <!-- -->
    <xsl:template name="Mod_Thesaurus_PCU"/>
    <!-- -->
    <xsl:template name="Mod_Thesaurus_DEG"/>
    <!-- -->
    <xsl:template name="Mod_Thesaurus_LOI"/>
    <!-- -->
    <xsl:template name="Mod_Thesaurus_ASC"/>
    <!-- -->
    <xsl:template name="Mod_Thesaurus_ITI"/>
    <!-- -->
    <xsl:template name="Mod_Thesaurus_VIL"/>
    <!-- -->
    <xsl:template name="Mod_Thesaurus_ORG"/>
</xsl:stylesheet>
