<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:tif22="http://www.tourinfrance.net/tourinfrance22/" 
    xmlns:xalan="http://xml.apache.org/xalan" xmlns:thes="tif.tools.ThesaurusReader" extension-element-prefixes="thes" >
    <!--  -->
    <xsl:output encoding="utf-8" indent="yes" version="1.0" method="xml" xalan:indent-amount="2"/>
    <!-- -->
    <xsl:include href="Libv22tov310/Mod_DC.xsl"/>
    <xsl:include href="Libv22tov310/Mod_SY.xsl"/>
    <xsl:include href="Libv22tov310/Mod_Multimedia.xsl"/>
    <xsl:include href="Libv22tov310/Mod_Contacts.xsl"/>
    <xsl:include href="Libv22tov310/Mod_InformationsLegales.xsl"/>
    <xsl:include href="Libv22tov310/Mod_Classements.xsl"/>
    <xsl:include href="Libv22tov310/Mod_Prestations_Liees.xsl"/>
    <xsl:include href="Libv22tov310/Mod_Geolocalisations.xsl"/>
    <xsl:include href="Libv22tov310/Mod_Periodes.xsl"/>
    <xsl:include href="Libv22tov310/Mod_Clienteles.xsl"/>
    <xsl:include href="Libv22tov310/Mod_Langues.xsl"/>
    <xsl:include href="Libv22tov310/Mod_Modes_Reservation.xsl"/>
    <xsl:include href="Libv22tov310/Mod_Tarifs.xsl"/>
    <xsl:include href="Libv22tov310/Mod_Capacites.xsl"/>
    <xsl:include href="Libv22tov310/Mod_Offres_Prestations.xsl"/>
    <xsl:include href="Libv22tov310/Mod_Descriptions_Complementaires.xsl"/>
    <xsl:include href="Libv22tov310/Mod_Thesaurus.xsl"/>
    <xsl:include href="Libv22tov310/Mod_Plannings.xsl"/>
    <xsl:include href="Libv22tov310/Mod_Itineraires.xsl"/>
    <!--
    ===============================================================
    Fichier TIFv22tov310.xsl - Transformation OI format TourinFrance V2.2 -> V3.10
    Tourism Information Format. Version 2.2 et 3.10 
    Créé le xxxx-xx-xx par xxxxxxx 
    Modifié le xxxx-xx-xx par xxxxxxxx 
    Copyright © 2004 - TourinFrance 
    TIF 2.2 et TIF 3.1 est offert par la communauté des acteurs du tourisme français
    réunis au sein du Groupe Technique TourinFrance (GTTIF) sous les termes de la
    licence Creative Commons Attribution/Share Alike 
    (http://creativecommons.org/licenses/by-sa/1.0/).  
    ===============================================================
    -->
    <!-- -->
    <!-- Declaration des fonctions de gestion des thésaurus-->
    <xalan:component  prefix="thes" elements="init22 init30" functions="getCode22 getCode30 getLibelle22 getLibelle30 getLibelle30L getCode30FromCode22 getCode30FromLibelle22 getCode22FromCode30 getCode22FromLibelle30" >
        <xalan:script lang="javaclass" src="tif.tools.ThesaurusReader"/>
    </xalan:component>
    <!-- -->
    <!-- -->
    <xsl:template match="/">
        <!-- Initialisation du thesaurus -->
        <thes:init22 name="fname" value="./MTH_TIFV22_fr.xml"/>
        <thes:init30 name="fname" value="./MTH_TIFV30_fr.xml"/>
        <!-- -->
        <xsl:comment xml:lang="fr">This file was generated using the XSL file TIFv22toV310.xsl - Copyright © 2004 - TourinFrance</xsl:comment>
        <!--  ENLEVER SCHEMA  ENLEVER SCHEMA  ENLEVER SCHEMA  ENLEVER SCHEMA  ENLEVER SCHEMA  ENLEVER SCHEMA -->
        <tif:OI xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
            xsi:schemaLocation="http://www.tourinfrance.net/Tourinfrance3/ file:/C:/E_REFS/Tourinfrance/V3.10/Schemas/OI.xsd"
            xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/"
            xmlns:sy="http://purl.org/rss/1.0/modules/syndication/" xmlns:dcterms="http://purl.org/dc/terms/" xmlns:dc="http://purl.org/dc/elements/1.1/">
            <!-- -->
            <xsl:comment xml:lang="fr">Granule DublinCore</xsl:comment>
            <xsl:call-template name="Mod_DC"/>
            <!-- -->
            <xsl:comment xml:lang="fr">Granule Syndication</xsl:comment>
            <xsl:call-template name="Mod_SY"/>
            <!-- -->
            <xsl:comment xml:lang="fr">Granule Multimedia</xsl:comment>
            <xsl:call-template name="Mod_Multimedia"/>
            <!-- -->
            <xsl:comment xml:lang="fr">Granule Contacts</xsl:comment>
            <xsl:call-template name="Mod_Contacts"/>
            <!-- -->
            <xsl:comment xml:lang="fr">Granule Informations Legales</xsl:comment>
            <xsl:call-template name="Mod_InformationsLegales"/>
            <!-- -->
            <xsl:comment xml:lang="fr">Granule Classements</xsl:comment>
            <xsl:call-template name="Mod_Classements"/>
            <!-- -->
            <xsl:comment xml:lang="fr">Granule Prestations Liees</xsl:comment>
            <xsl:call-template name="Mod_Prestations_Liees"/>
            <!-- -->
            <xsl:comment xml:lang="fr">Granule Geolocalisations</xsl:comment>
            <xsl:call-template name="Mod_Geolocalisations"/>
            <!-- -->
            <xsl:comment xml:lang="fr">Granule Periodes</xsl:comment>
            <xsl:call-template name="Mod_Periodes"/>
            <!-- -->
            <xsl:comment xml:lang="fr">Granule Clienteles</xsl:comment>
            <xsl:call-template name="Mod_Clienteles"/>
            <!-- -->
            <xsl:comment xml:lang="fr">Granule Langues</xsl:comment>
            <xsl:call-template name="Mod_Langues"/>
            <!-- -->
            <xsl:comment xml:lang="fr">Granule Modes Reservations</xsl:comment>
            <xsl:call-template name="Mod_Modes_Reservation"/>
            <!-- -->
            <xsl:comment xml:lang="fr">Granule Tarifs</xsl:comment>
            <xsl:call-template name="Mod_Tarifs"/>
            <!-- -->
            <xsl:comment xml:lang="fr">Granule Capacites</xsl:comment>
            <xsl:call-template name="Mod_Capacites"/>
            <!-- -->
            <xsl:comment xml:lang="fr">Granule Offres Prestations</xsl:comment>
            <xsl:call-template name="Mod_Offres_Prestations"/>
            <!-- -->
            <xsl:comment xml:lang="fr">Granule Descriptions Complementaires</xsl:comment>
            <xsl:call-template name="Mod_Descriptions_Complementaires"/>
            <!-- -->
            <xsl:comment xml:lang="fr">Granule Thesaurus</xsl:comment>
            <xsl:call-template name="Mod_Thesaurus"/>
            <!-- -->
            <xsl:comment xml:lang="fr">Granule Itineraires</xsl:comment>
            <xsl:call-template name="Mod_Itineraires"/>
            <!-- -->
            <xsl:comment xml:lang="fr">Granule Plannings</xsl:comment>
            <xsl:call-template name="Mod_Plannings"/>
            <!-- -->
        </tif:OI>
    </xsl:template>
</xsl:stylesheet>
